Attribute VB_Name = "drugtrade"

Option Explicit

Private Declare Function CloseHandle Lib "kernel32" (ByVal hObject As Long) As Long
Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (destination As Any, Source As Any, ByVal Length As Long)
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function GetMenu Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function GetMenuItemCount Lib "user32" (ByVal hMenu As Long) As Long
Public Declare Function GetMenuItemID Lib "user32" (ByVal hMenu As Long, ByVal nPos As Long) As Long
Public Declare Function GetMenuString Lib "user32" Alias "GetMenuStringA" (ByVal hMenu As Long, ByVal wIDItem As Long, ByVal lpString As String, ByVal nMaxCount As Long, ByVal wFlag As Long) As Long
Public Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Public Declare Function GetSubMenu Lib "user32" (ByVal hMenu As Long, ByVal nPos As Long) As Long
Public Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Public Declare Function GetWindowTextLength Lib "user32" Alias "GetWindowTextLengthA" (ByVal hwnd As Long) As Long
Public Declare Function GetWindowThreadProcessId Lib "user32" (ByVal hwnd As Long, lpdwProcessId As Long) As Long
Public Declare Function IsWindowVisible Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function OpenProcess Lib "kernel32" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long
Public Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
Public Declare Function PostMessage Lib "user32" Alias "PostMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Public Declare Function ReadProcessMemory Lib "kernel32" (ByVal hProcess As Long, ByVal lpBaseAddress As Long, ByVal lpBuffer As String, ByVal nSize As Long, ByRef lpNumberOfBytesWritten As Long) As Long
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Public Declare Function SendMessageLong& Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long)
Public Declare Function SendMessageByString Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As String) As Long
Public Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Public Declare Function ShowCursor Lib "user32" (ByVal bShow As Long) As Long
Public Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long
Public Declare Function sndPlaySound Lib "winmm.dll" Alias "sndPlaySoundA" (ByVal lpszSoundName As String, ByVal uFlags As Long) As Long
Public Declare Function ReleaseCapture Lib "user32" () As Long
Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long

Public Const BM_GETCHECK = &HF0
Public Const BM_SETCHECK = &HF1

Public Const HWND_NOTOPMOST = -2
Public Const HWND_TOPMOST = -1

Public Const LB_GETCOUNT = &H18B
Public Const LB_GETITEMDATA = &H199
Public Const LB_GETTEXT = &H189
Public Const LB_GETTEXTLEN = &H18A
Public Const LB_SETCURSEL = &H186
Public Const LB_SETSEL = &H185

Public Const SND_ASYNC = &H1
Public Const SND_NODEFAULT = &H2
Public Const SND_FLAG = SND_ASYNC Or SND_NODEFAULT

Public Const SW_HIDE = 0
Public Const SW_SHOW = 5

Public Const SWP_NOMOVE = &H2
Public Const SWP_NOSIZE = &H1

Public Const VK_DOWN = &H28
Public Const VK_LEFT = &H25
Public Const VK_MENU = &H12
Public Const VK_RETURN = &HD
Public Const VK_RIGHT = &H27
Public Const VK_SHIFT = &H10
Public Const VK_SPACE = &H20
Public Const VK_UP = &H26

Public Const WM_CHAR = &H102
Public Const WM_CLOSE = &H10
Public Const WM_COMMAND = &H111
Public Const WM_GETTEXT = &HD
Public Const WM_GETTEXTLENGTH = &HE
Public Const WM_KEYDOWN = &H100
Public Const WM_KEYUP = &H101
Public Const WM_LBUTTONDBLCLK = &H203
Public Const WM_LBUTTONDOWN = &H201
Public Const WM_LBUTTONUP = &H202
Public Const WM_MOVE = &HF012
Public Const WM_SETTEXT = &HC
Public Const WM_SYSCOMMAND = &H112

Public Const PROCESS_READ = &H10
Public Const RIGHTS_REQUIRED = &HF0000

Public Const ENTER_KEY = 13
Public Const FLAGS = SWP_NOMOVE Or SWP_NOSIZE

Public Type POINTAPI
        X As Long
        Y As Long
End Type

Public Function FindForwardWindow() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim Rich1 As Long, Rich2 As Long, Combo As Long
    Dim FontCombo As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Rich1& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
    Rich2& = FindWindowEx(child&, Rich1&, "RICHCNTL", vbNullString)
    Combo& = FindWindowEx(child&, 0&, "_AOL_Combobox", vbNullString)
    FontCombo& = FindWindowEx(child&, 0&, "_AOL_FontCombo", vbNullString)
    If Rich1& <> 0& And Rich2& = 0& And Combo& = 0& And FontCombo& = 0& Then
        FindForwardWindow& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            Rich1& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
            Rich2& = FindWindowEx(child&, Rich1&, "RICHCNTL", vbNullString)
            Combo& = FindWindowEx(child&, 0&, "_AOL_Combobox", vbNullString)
            FontCombo& = FindWindowEx(child&, 0&, "_AOL_FontCombo", vbNullString)
            If Rich1& <> 0& And Rich2& = 0& And Combo& = 0& And FontCombo& = 0& Then
                FindForwardWindow& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindForwardWindow& = 0&
End Function

Public Function FindSendWindow() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim SendStatic As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    SendStatic& = FindWindowEx(child&, 0&, "_AOL_Static", "Send Now")
    If SendStatic& <> 0& Then
        FindSendWindow& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            SendStatic& = FindWindowEx(child&, 0&, "_AOL_Static", "Send Now")
            If SendStatic& <> 0& Then
                FindSendWindow& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindSendWindow& = 0&
End Function

Public Sub MailOpenFlash()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    Call PostMessage(sMod&, WM_KEYDOWN, VK_UP, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_UP, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RIGHT, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RIGHT, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenNew()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, sMod As Long, CurPos As POINTAPI
    Dim WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenOld()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    For DoThis& = 1 To 4
        Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
        Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Next DoThis&
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenSent()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    For DoThis& = 1 To 5
        Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
        Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Next DoThis&
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenEmailFlash(index As Long)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Sub
    Call SendMessage(fList&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(fList&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(fList&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Sub MailOpenEmailNew(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& < index& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(mTree&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(mTree&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Sub MailOpenEmailOld(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& < index& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(mTree&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(mTree&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Sub MailOpenEmailSent(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& < index& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(mTree&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(mTree&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Function MailCountFlash() As Long
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim Count As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    MailCountFlash& = Count&
End Function

Public Sub MailToListFlash(TheList As ListBox)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim Count As Long, MyString As String, AddMails As Long
    Dim sLength As Long, Spot As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    If fMail& = 0& Then Exit Sub
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    MyString$ = String(255, 0)
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(fList&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(fList&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        MyString$ = ReplaceString(MyString$, Chr(0), "")
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Function FindMailBox() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim TabControl As Long, TabPage As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    TabControl& = FindWindowEx(child&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    If TabControl& <> 0& And TabPage& <> 0& Then
        FindMailBox& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            TabControl& = FindWindowEx(child&, 0&, "_AOL_TabControl", vbNullString)
            TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
            If TabControl& <> 0& And TabPage& <> 0& Then
                FindMailBox& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindMailBox& = 0&
End Function

Public Function MailCountNew() As Long
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    MailCountNew& = Count&
End Function

Public Function MailCountSent() As Long
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    MailCountSent& = Count&
End Function

Public Function MailCountOld() As Long
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    MailCountOld& = Count&
End Function

Public Sub MailDeleteNewByIndex(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If index& > Count& - 1 Or index& < 0& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
End Sub

Public Sub MailDeleteNewDuplicates(VBForm As Form, DisplayStatus As Boolean)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    Dim SearchBox As Long, cSender As String, cSubject As String
    Dim SearchFor As Long, sSender As String, sSubject As String
    Dim CurCaption As String
    MailBox& = FindMailBox&
    CurCaption$ = VBForm.Caption
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0& Then Exit Sub
    For SearchFor& = 0& To Count& - 2
        DoEvents
        sSender$ = MailSenderNew(SearchFor&)
        sSubject$ = MailSubjectNew(SearchFor&)
        If sSender$ = "" Then
            VBForm.Caption = CurCaption$
            Exit Sub
        End If
        For SearchBox& = SearchFor& + 1 To Count& - 1
            If DisplayStatus = True Then
                VBForm.Caption = "Now checking #" & SearchFor& & " for match with #" & SearchBox&
            End If
            cSender$ = MailSenderNew(SearchBox&)
            cSubject$ = MailSubjectNew(SearchBox&)
            If cSender$ = sSender$ And cSubject$ = sSubject$ Then
                Call SendMessage(mTree&, LB_SETCURSEL, SearchBox&, 0&)
                DoEvents
                Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
                Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
                DoEvents
                SearchBox& = SearchBox& - 1
            End If
        Next SearchBox&
    Next SearchFor&
    VBForm.Caption = CurCaption$
End Sub

Public Sub MailDeleteNewBySender(Sender As String)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    Dim SearchBox As Long, cSender As String
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0& Then Exit Sub
    For SearchBox& = 0& To Count& - 1
        cSender$ = MailSenderNew(SearchBox&)
        If LCase(cSender$) = LCase(Sender$) Then
            Call SendMessage(mTree&, LB_SETCURSEL, SearchBox&, 0&)
            DoEvents
            Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
            Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
            DoEvents
            SearchBox& = SearchBox& - 1
        End If
    Next SearchBox&
End Sub

Public Sub MailDeleteNewNotSender(Sender As String)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    Dim SearchBox As Long, cSender As String
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0& Then Exit Sub
    For SearchBox& = 0& To Count& - 1
        cSender$ = MailSenderNew(SearchBox&)
        If cSender$ = "" Then Exit Sub
        If LCase(cSender$) <> LCase(Sender$) Then
            Call SendMessage(mTree&, LB_SETCURSEL, SearchBox&, 0&)
            DoEvents
            Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
            Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
            DoEvents
            SearchBox& = SearchBox& - 1
        End If
    Next SearchBox&
End Sub

Public Function MailSenderFlash(index As Long) As String
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long, sLength As Long
    Dim MyString As String, Spot1 As Long, Spot2 As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Function
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    If fCount& = 0 Or index& > fCount& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(fList&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(fList&, LB_GETTEXT, index&, MyString$)
    Spot1& = InStr(MyString$, Chr(9))
    Spot2& = InStr(Spot1& + 1, MyString$, Chr(9))
    MyString$ = Mid(MyString$, Spot1& + 1, Spot2& - Spot1& - 1)
    MailSenderFlash$ = MyString$
End Function

Public Function MailSenderNew(index As Long) As String
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot1 As Long, Spot2 As Long, MyString As String
    Dim Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Or index& > Count& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(mTree&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(mTree&, LB_GETTEXT, index&, MyString$)
    Spot1& = InStr(MyString$, Chr(9))
    Spot2& = InStr(Spot1& + 1, MyString$, Chr(9))
    MyString$ = Mid(MyString$, Spot1& + 1, Spot2& - Spot1& - 1)
    MailSenderNew$ = MyString$
End Function

Public Function MailSubjectFlash(index As Long) As String
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long, sLength As Long
    Dim MyString As String, Spot As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Function
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    If fCount& = 0 Or index& > fCount& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(fList&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(fList&, LB_GETTEXT, index&, MyString$)
    Spot& = InStr(MyString$, Chr(9))
    Spot& = InStr(Spot& + 1, MyString$, Chr(9))
    MyString$ = Right(MyString$, Len(MyString$) - Spot&)
    MyString$ = ReplaceString(MyString$, Chr(0), "")
    MailSubjectFlash$ = MyString$
End Function

Public Function MailSubjectNew(index As Long) As String
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Or index& > Count& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(mTree&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(mTree&, LB_GETTEXT, index&, MyString$)
    Spot& = InStr(MyString$, Chr(9))
    Spot& = InStr(Spot& + 1, MyString$, Chr(9))
    MyString$ = Right(MyString$, Len(MyString$) - Spot&)
    MyString$ = ReplaceString(MyString$, Chr(0), "")
    MailSubjectNew$ = MyString$
End Function

Public Sub MailToListNew(TheList As ListBox)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Then Exit Sub
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(mTree&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(mTree&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Sub MailToListOld(TheList As ListBox)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Then Exit Sub
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(mTree&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(mTree&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Sub MailToListSent(TheList As ListBox)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Then Exit Sub
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(mTree&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(mTree&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Sub SendMail(Person As String, subject As String, message As String)
    Dim AOL As Long, MDI As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, OpenSend As Long, DoIt As Long
    Dim Rich As Long, EditTo As Long, EditCC As Long
    Dim EditSubject As Long, SendButton As Long
    Dim Combo As Long, fCombo As Long, ErrorWindow As Long
    Dim Button1 As Long, Button2 As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    DoEvents
    Do
        DoEvents
        OpenSend& = FindWindowEx(MDI&, 0&, "AOL Child", "Write Mail")
        EditTo& = FindWindowEx(OpenSend&, 0&, "_AOL_Edit", vbNullString)
        EditCC& = FindWindowEx(OpenSend&, EditTo&, "_AOL_Edit", vbNullString)
        EditSubject& = FindWindowEx(OpenSend&, EditCC&, "_AOL_Edit", vbNullString)
        Rich& = FindWindowEx(OpenSend&, 0&, "RICHCNTL", vbNullString)
        Combo& = FindWindowEx(OpenSend&, 0&, "_AOL_Combobox", vbNullString)
        fCombo& = FindWindowEx(OpenSend&, 0&, "_AOL_Fontcombo", vbNullString)
        Button1& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        Button2& = FindWindowEx(OpenSend&, Button1&, "_AOL_Icon", vbNullString)
        SendButton& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        For DoIt& = 1 To 13
            SendButton& = FindWindowEx(OpenSend&, SendButton&, "_AOL_Icon", vbNullString)
        Next DoIt&
    Loop Until OpenSend& <> 0& And EditTo& <> 0& And EditCC& <> 0& And EditSubject& <> 0& And Rich& <> 0& And SendButton& <> 0& And Combo& <> 0& And fCombo& <> 0& & SendButton& <> Button1& And SendButton& <> Button2&
    Call SendMessageByString(EditTo&, WM_SETTEXT, 0, Person$)
    DoEvents
    Call SendMessageByString(EditSubject&, WM_SETTEXT, 0, subject$)
    DoEvents
    Call SendMessageByString(Rich&, WM_SETTEXT, 0, message$)
    DoEvents
    Pause 0.2
    Call SendMessage(SendButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(SendButton&, WM_LBUTTONUP, 0&, 0&)
End Sub

Public Sub MailForward(SendTo As String, message As String, DeleteFwd As Boolean)
    Dim AOL As Long, MDI As Long, Error As Long
    Dim OpenForward As Long, OpenSend As Long, SendButton As Long
    Dim DoIt As Long, EditTo As Long, EditCC As Long
    Dim EditSubject As Long, Rich As Long, fCombo As Long
    Dim Combo As Long, Button1 As Long, Button2 As Long
    Dim TempSubject As String
    OpenForward& = FindForwardWindow
    If OpenForward& = 0 Then Exit Sub
    SendButton& = FindWindowEx(OpenForward&, 0&, "_AOL_Icon", vbNullString)
    For DoIt& = 1 To 6
        SendButton& = FindWindowEx(OpenForward&, SendButton&, "_AOL_Icon", vbNullString)
    Next DoIt&
    Call SendMessage(SendButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(SendButton&, WM_LBUTTONUP, 0&, 0&)
    Do
        DoEvents
        OpenSend& = FindSendWindow
        EditTo& = FindWindowEx(OpenSend&, 0&, "_AOL_Edit", vbNullString)
        EditCC& = FindWindowEx(OpenSend&, EditTo&, "_AOL_Edit", vbNullString)
        EditSubject& = FindWindowEx(OpenSend&, EditCC&, "_AOL_Edit", vbNullString)
        Rich& = FindWindowEx(OpenSend&, 0&, "RICHCNTL", vbNullString)
        Combo& = FindWindowEx(OpenSend&, 0&, "_AOL_Combobox", vbNullString)
        fCombo& = FindWindowEx(OpenSend&, 0&, "_AOL_Fontcombo", vbNullString)
        Button1& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        Button2& = FindWindowEx(OpenSend&, Button1&, "_AOL_Icon", vbNullString)
        SendButton& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        For DoIt& = 1 To 13
            SendButton& = FindWindowEx(OpenSend&, SendButton&, "_AOL_Icon", vbNullString)
        Next DoIt&
    Loop Until OpenSend& <> 0& And EditTo& <> 0& And EditCC& <> 0& And EditSubject& <> 0& And Rich& <> 0& And SendButton& <> 0& And Combo& <> 0& And fCombo& <> 0& & SendButton& <> Button1& And SendButton& <> Button2&
    If DeleteFwd = True Then
        TempSubject$ = GetText(EditSubject&)
        TempSubject$ = Right(TempSubject$, Len(TempSubject$) - 5)
        Call SendMessageByString(EditSubject&, WM_SETTEXT, 0, TempSubject$)
        DoEvents
    End If
    Call SendMessageByString(EditTo&, WM_SETTEXT, 0, SendTo$)
    DoEvents
    Call SendMessageByString(Rich&, WM_SETTEXT, 0, message$)
    DoEvents
    Do Until OpenSend& = 0& Or Error& <> 0&
        DoEvents
        AOL& = FindWindow("AOL Frame25", vbNullString)
        MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
        Error& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
        OpenSend& = FindSendWindow
        SendButton& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        For DoIt& = 1 To 11
            SendButton& = FindWindowEx(OpenSend&, SendButton&, "_AOL_Icon", vbNullString)
        Next DoIt&
        Call SendMessage(SendButton&, WM_LBUTTONDOWN, 0&, 0&)
        Call SendMessage(SendButton&, WM_LBUTTONUP, 0&, 0&)
        Pause 1
    Loop
    If OpenSend& = 0& Then Call PostMessage(OpenForward&, WM_CLOSE, 0&, 0&)
End Sub

Public Sub CloseOpenMails()
    Dim OpenSend As Long, OpenForward As Long
    Do
        DoEvents
        OpenSend& = FindSendWindow
        OpenForward& = FindForwardWindow
        Call PostMessage(OpenSend&, WM_CLOSE, 0&, 0&)
        DoEvents
        Call PostMessage(OpenForward&, WM_CLOSE, 0&, 0&)
        DoEvents
    Loop Until OpenSend& = 0& And OpenForward& = 0&
End Sub

Public Sub MailDeleteFlashByIndex(index As Long)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Sub
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    Call SendMessage(fList&, LB_SETCURSEL, index&, 0&)
    Call SendMessage(DeleteButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(DeleteButton&, WM_LBUTTONUP, 0&, 0&)
End Sub

Public Sub MailDeleteFlashDuplicates(VBForm As Form, DisplayStatus As Boolean)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long, SearchFor As Long
    Dim SearchBox As Long, CurCaption As String
    Dim sSender As String, sSubject As String
    Dim cSender As String, cSubject As String
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < 2& Then Exit Sub
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    CurCaption$ = VBForm.Caption
    If fCount& = 0& Then Exit Sub
    For SearchFor& = 0& To fCount& - 2
        DoEvents
        sSender$ = MailSenderFlash(SearchFor&)
        sSubject$ = MailSubjectFlash(SearchFor&)
        If sSender$ = "" Then
            VBForm.Caption = CurCaption$
            Exit Sub
        End If
        For SearchBox& = SearchFor& + 1 To fCount& - 1
            If DisplayStatus = True Then
                VBForm.Caption = "Checking #" & SearchFor& & " with #" & SearchBox&
            End If
            cSender$ = MailSenderFlash(SearchBox&)
            cSubject$ = MailSubjectFlash(SearchBox&)
            If cSender$ = sSender$ And cSubject$ = sSubject$ Then
                Call SendMessage(fList&, LB_SETCURSEL, SearchBox&, 0&)
                DoEvents
                Call SendMessage(DeleteButton&, WM_LBUTTONDOWN, 0&, 0&)
                Call SendMessage(DeleteButton&, WM_LBUTTONUP, 0&, 0&)
                DoEvents
                SearchBox& = SearchBox& - 1
            End If
        Next SearchBox&
    Next SearchFor&
    VBForm.Caption = CurCaption$
End Sub

Public Sub SetMailPrefs()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim MDI As Long, mPrefs As Long, mButton As Long
    Dim gStatic As Long, mStatic As Long, fStatic As Long
    Dim maStatic As Long, dMod As Long, ConfirmCheck As Long
    Dim CloseCheck As Long, SpellCheck As Long, OKButton As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    For DoThis& = 1 To 3
        Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
        Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Next DoThis&
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
    Do
        DoEvents
        mPrefs& = FindWindowEx(MDI&, 0&, "AOL Child", "Preferences")
        gStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "General")
        mStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "Mail")
        fStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "Font")
        maStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "Marketing")
    Loop Until mPrefs& <> 0& And gStatic& <> 0& And mStatic& <> 0& And fStatic& <> 0& And maStatic& <> 0&
    mButton& = FindWindowEx(mPrefs&, 0&, "_AOL_Icon", vbNullString)
    mButton& = FindWindowEx(mPrefs&, mButton&, "_AOL_Icon", vbNullString)
    mButton& = FindWindowEx(mPrefs&, mButton&, "_AOL_Icon", vbNullString)
    Do
        DoEvents
        Call SendMessage(mButton&, WM_LBUTTONDOWN, 0&, 0&)
        Call SendMessage(mButton&, WM_LBUTTONUP, 0&, 0&)
        dMod& = FindWindow("_AOL_Modal", "Mail Preferences")
        Pause 0.6
    Loop Until dMod& <> 0&
    ConfirmCheck& = FindWindowEx(dMod&, 0&, "_AOL_Checkbox", vbNullString)
    CloseCheck& = FindWindowEx(dMod&, ConfirmCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, CloseCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, SpellCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, SpellCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, SpellCheck&, "_AOL_Checkbox", vbNullString)
    OKButton& = FindWindowEx(dMod&, 0&, "_AOL_icon", vbNullString)
    Call SendMessage(ConfirmCheck&, BM_SETCHECK, False, vbNullString)
    Call SendMessage(CloseCheck&, BM_SETCHECK, True, vbNullString)
    Call SendMessage(SpellCheck&, BM_SETCHECK, False, vbNullString)
    Call SendMessage(OKButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(OKButton&, WM_LBUTTONUP, 0&, 0&)
    DoEvents
    Call PostMessage(mPrefs&, WM_CLOSE, 0&, 0&)
End Sub

Public Function ErrorName(name As Long) As String
    Dim AOL As Long, MDI As Long, ErrorWindow As Long
    Dim ErrorTextWindow As Long, ErrorString As String
    Dim NameCount As Long, TempString As String
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    ErrorWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
    If ErrorWindow& = 0& Then Exit Function
    ErrorTextWindow& = FindWindowEx(ErrorWindow&, 0&, "_AOL_View", vbNullString)
    ErrorString$ = GetText(ErrorTextWindow&)
    NameCount& = LineCount(ErrorString$) - 2
    If NameCount& < name& Then Exit Function
    TempString$ = LineFromString(ErrorString$, name& + 2)
    TempString$ = Left(TempString$, InStr(TempString$, "-") - 2)
    ErrorName$ = TempString$
End Function

Public Function ErrorNameCount() As Long
    Dim AOL As Long, MDI As Long, ErrorWindow As Long
    Dim ErrorTextWindow As Long, ErrorString As String
    Dim NameCount As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    ErrorWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
    If ErrorWindow& = 0& Then Exit Function
    ErrorTextWindow& = FindWindowEx(ErrorWindow&, 0&, "_AOL_View", vbNullString)
    ErrorString$ = GetText(ErrorTextWindow&)
    NameCount& = LineCount(ErrorString$) - 2
    ErrorNameCount& = NameCount&
End Function

Public Function CheckAlive(ScreenName As String) As Boolean
    Dim AOL As Long, MDI As Long, ErrorWindow As Long
    Dim ErrorTextWindow As Long, ErrorString As String
    Dim MailWindow As Long, NoWindow As Long, NoButton As Long
    Call SendMail("*, " & ScreenName$, "You alive?", "=)")
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    Do
        DoEvents
        ErrorWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
        ErrorTextWindow& = FindWindowEx(ErrorWindow&, 0&, "_AOL_View", vbNullString)
        ErrorString$ = GetText(ErrorTextWindow&)
    Loop Until ErrorWindow& <> 0 And ErrorTextWindow& <> 0 And ErrorString$ <> ""
    If InStr(LCase(ReplaceString(ErrorString$, " ", "")), LCase(ReplaceString(ScreenName$, " ", ""))) > 0 Then
        CheckAlive = False
    Else
        CheckAlive = True
    End If
    MailWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Write Mail")
    Call PostMessage(ErrorWindow&, WM_CLOSE, 0&, 0&)
    DoEvents
    Call PostMessage(MailWindow&, WM_CLOSE, 0&, 0&)
    DoEvents
    Do
        DoEvents
        NoWindow& = FindWindow("#32770", "America Online")
        NoButton& = FindWindowEx(NoWindow&, 0&, "Button", "&No")
    Loop Until NoWindow& <> 0& And NoButton& <> 0
    Call SendMessage(NoButton&, WM_KEYDOWN, VK_SPACE, 0&)
    Call SendMessage(NoButton&, WM_KEYUP, VK_SPACE, 0&)
End Function

Public Sub ChatSend(Chat As String)
    Dim Room As Long, AORich As Long, AORich2 As Long
    Room& = FindRoom&
    AORich& = FindWindowEx(Room, 0&, "RICHCNTL", vbNullString)
    AORich2& = FindWindowEx(Room, AORich, "RICHCNTL", vbNullString)
    Call SendMessageByString(AORich2, WM_SETTEXT, 0&, Chat$)
    Call SendMessageLong(AORich2, WM_CHAR, ENTER_KEY, 0&)
End Sub

Public Function FindIM() As Long
    Dim AOL As Long, MDI As Long, child As Long, Caption As String
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Caption$ = GetCaption(child&)
    If InStr(Caption$, "Instant Message") = 1 Or InStr(Caption$, "Instant Message") = 2 Or InStr(Caption$, "Instant Message") = 3 Then
        FindIM& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            Caption$ = GetCaption(child&)
            If InStr(Caption$, "Instant Message") = 1 Or InStr(Caption$, "Instant Message") = 2 Or InStr(Caption$, "Instant Message") = 3 Then
                FindIM& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindIM& = child&
End Function

Public Function FindRoom() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim Rich As Long, AOLList As Long
    Dim AOLIcon As Long, AOLStatic As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Rich& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
    AOLList& = FindWindowEx(child&, 0&, "_AOL_Listbox", vbNullString)
    AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
    AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
    If Rich& <> 0& And AOLList& <> 0& And AOLIcon& <> 0& And AOLStatic& <> 0& Then
        FindRoom& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            Rich& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
            AOLList& = FindWindowEx(child&, 0&, "_AOL_Listbox", vbNullString)
            AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
            AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
            If Rich& <> 0& And AOLList& <> 0& And AOLIcon& <> 0& And AOLStatic& <> 0& Then
                FindRoom& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindRoom& = child&
End Function

Public Function FindInfoWindow() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim AOLCheck As Long, AOLIcon As Long, AOLStatic As Long
    Dim AOLIcon2 As Long, AOLGlyph As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    AOLCheck& = FindWindowEx(child&, 0&, "_AOL_Checkbox", vbNullString)
    AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
    AOLGlyph& = FindWindowEx(child&, 0&, "_AOL_Glyph", vbNullString)
    AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
    AOLIcon2& = FindWindowEx(child&, AOLIcon&, "_AOL_Icon", vbNullString)
    If AOLCheck& <> 0& And AOLStatic& <> 0& And AOLGlyph& <> 0& And AOLIcon& <> 0& And AOLIcon2& <> 0& Then
        FindInfoWindow& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            AOLCheck& = FindWindowEx(child&, 0&, "_AOL_Checkbox", vbNullString)
            AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
            AOLGlyph& = FindWindowEx(child&, 0&, "_AOL_Glyph", vbNullString)
            AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
            AOLIcon2& = FindWindowEx(child&, AOLIcon&, "_AOL_Icon", vbNullString)
            If AOLCheck& <> 0& And AOLStatic& <> 0& And AOLGlyph& <> 0& And AOLIcon& <> 0& And AOLIcon2& <> 0& Then
                FindInfoWindow& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindInfoWindow& = child&
End Function

Public Function RoomCount() As Long
    Dim AOL As Long, MDI As Long, rMail As Long, rList As Long
    Dim Count As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    rMail& = FindRoom
    rList& = FindWindowEx(rMail&, 0&, "_AOL_Listbox", vbNullString)
    Count& = SendMessage(rList&, LB_GETCOUNT, 0&, 0&)
    RoomCount& = Count&
End Function

Public Sub AddRoomToListbox(TheList As ListBox, AddUser As Boolean)
    On Error Resume Next
    Dim cProcess As Long, itmHold As Long, ScreenName As String
    Dim psnHold As Long, rBytes As Long, index As Long, Room As Long
    Dim rList As Long, sThread As Long, mThread As Long
    Room& = FindRoom&
    If Room& = 0& Then Exit Sub
    rList& = FindWindowEx(Room&, 0&, "_AOL_Listbox", vbNullString)
    sThread& = GetWindowThreadProcessId(rList, cProcess&)
    mThread& = OpenProcess(PROCESS_READ Or RIGHTS_REQUIRED, False, cProcess&)
    If mThread& Then
        For index& = 0 To SendMessage(rList, LB_GETCOUNT, 0, 0) - 1
            ScreenName$ = String$(4, vbNullChar)
            itmHold& = SendMessage(rList, LB_GETITEMDATA, ByVal CLng(index&), ByVal 0&)
            itmHold& = itmHold& + 24
            Call ReadProcessMemory(mThread&, itmHold&, ScreenName$, 4, rBytes)
            Call CopyMemory(psnHold&, ByVal ScreenName$, 4)
            psnHold& = psnHold& + 6
            ScreenName$ = String$(16, vbNullChar)
            Call ReadProcessMemory(mThread&, psnHold&, ScreenName$, Len(ScreenName$), rBytes&)
            ScreenName$ = Left$(ScreenName$, InStr(ScreenName$, vbNullChar) - 1)
            If ScreenName$ <> GetUser$ Or AddUser = True Then
                $, vbNullChar) -mhread&, psnHold&, Screeeeeeeeeeeeete Then
   child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
ad& = OpenProcess(PROCESS_READ Or R        ScreenName$ = String$(16, vbNullChar)
            Call ReadProcessMemory(mThread&, psnHold&, ScreenName$, Len(ScreenName$), rBytes&)
            ScreenName$ = Left$(ScreenName$, InStr(ScreenName$, vbNullChar) - 1)
            If ScreenName$ <> GetnSend&, 0&, "_AOL_Fontcom& = FindWindowEx(Room&, 0&, "_AOL_Listbox", vbNullString)
    sThread& = GetWindowThr, Deleci Or 
                Screen
            If een
            If een
            If een
            If een
            If een
            If een
            If een
            If een
            If een
            If een
            If een
               If een
I If r) - 1)
            If Scr  If eea
       If eea
       If eea
  L&,> 0& And AOL 4, rBaOLIcI If r) -+ 6
      &
            If een
               If een
I If r) - 1)
            If Scr  If eea
     df Scr  S "_AOL_Icon", I
     df Scr  S "_AOL_Icon", I
     df ScTp> 0& And AOL 4, rString)
 If Scr  If         End r, I
    mi If een
              d       End r, I
    U  If ei If een
              d    n ScreenN d    MR
            If een
            If  AOL 4, rString)
o FindWindowExUf eea
  L&,> 0& And AOL I2le(mButton&, WM_LBUTLong
    Di
           oeen
I IfCr)                Screen
            If een
            If een
            If een
            IfButton&, WM_LBUTLong
   -d)If een
            IfButton&, WM_LBUTLpoahhFn
    )
    If mThreadButton&, WM_LBUTLpoahhFn
    )
    If mThrea)    If ild&)
  0, sk 1)
            If Scr  If eea
     N0  S "_AOL_Icon", I
         Di
     rIf een
   Di
     rIf een
   Di
     rIf een
   Di
     rIf een
   Di
     rIf een
   Di
     rIf een
   Di
     rIf een
   Di
     rIf een
   Di
     rIf een    List, LB_GETITEMDATA, ByVal CLng(index&), ByVal 0&)
            itmHold& = itmH1trli
     a     _FGETITdowEx(Room&, 0&, "_AOLEAD OEStrinh(LNullSy&)
    RoomCouNITdowEx(Roox(child&, 0&, "_AOu, 0&, "_AOLEAD Ois&wEx(Roox(chil&, 0&, "_AOfNullSy&)
    itmH1tr If r) - 1)
            If   )
= ch= ch= ch= ch= ch= ch=i
    itmH1tr If f   )
= ch= ch= ch= ch= ch= ch=i
    itmH1tr If f   )
= ch= ch= ch= ch= ch= ch=i
    itmH1tr If f   )
= ch= ch= ch= ch= ch= ch=i
    itmH1tr If f   )
= ch= ch= ch= ch= ch= ch=i
    itmH1tr If f   )
= ch= ch= ch= ch= ch= ch=i
    itmH1tr If f   )
=r$"_A
=  ch= chr If f   x(TaEh= ch= ch= ccreen
        Erf   )
= ch= ch= c   Callsage(NoButton&, WM    isagettr If f  If ild&)
d/FP WM    i,D5Ech=i
    itmH1tr If f   )
= chSPos(hr If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(TdowEx(Roox(child&, 0os(hr If f SPos(TdowE If f S1ring$(4, vbButton&, WM g)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIEN         If Scr  If eea
     dfindow#" & SearchF             FindWin & Searchuo    FindWin & Searchuo    FindWin U, 0&, "_AOL_blic Function FindRoom( = FindWindo As L= 0& To fCountMnd If
        Loop Until chilng)/ abPage", vbNullStrin vbNullStriall Send1tr If r      MabPage", vbNullStrM&lString)
  eindWindow("AOL Fn&, WM gllStrM&lStris Long, MDI As Long, fMail As LonC*2", vM gllStrM&lStridWindowEx(AOL&_<.AOLStalabPaA c   Calls{&, "Butex& =age"       L& = FindWif f SPos(hPos(hr Iwan& Bld&, "AOL Child",aPd Sub

Public S S S S S=age"       L& = FindWif f SPos(hPos(hr Iage", vbNullStrM  L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L&orght)
    Cal L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L& = L&orght)
    Cal L& = L& = L& =)mght)
    Cal L& = L& = L&indWindo As L= 0& To fCountMnd If
        Loop Until chilng)/ /= L& = L& = 4, vbButton&, WM g)
    MtNf  If ild&)
d/FP WM    i,D5Ech=i
    itmH1tr oop Unti{&, "Butex& =age"(T3   itmH1tr   itmH1tr   itmH1tr   itmH1tr   itmH1tr   itmH1tr   itmH1tr   itmH1tr   itmH1tr   itmH1tr   (String(sLength& + Hold&, ScreenName$, Len(Rome$, Len(Rom= L&  itmH1t2dMessage(mTr(T3   itmH1tr   itmH1tr   itmH1tr   itmH1rorShhilng)/ /= L& = L& = 4, vbButrx /= L& = L& = eenName(Poeen
I IfCr)                Screen
            If een
            If een
            If een
            IfButton&, WM_LBUTLong
   -d)If een
            IfButton&, WM_LBUTLpoahhFn
    )
    If mThreadButton&, WM_LBUTLpoahhFn
    )
    If mThrea)    wlon&, WM_LBUTLpoahhFn
Mails As Long, sLt", vbN L& = L& = L& =,o    FCal L& = L& = L& = L& = L& = L& =o    FCal L& = L& = L& = aa$dM    i,   itmH1ror.een
  )
             If een
    ndowEx(OpenSend&, 0 ieenf een
   Di
     rIf e   i,   itmH1ror.  itm1ndex&), ByVal 0&)
          S   If mThrea)    wlon&H1ror.een
  )
 t= Fin aa$dM    i,   itm wlon&H1roCN L& = L Threa)    wlon&H1ror.een
  )
 t= Fin aa$dM    i,   itm wlon&H1roCN L& = L Threa)    wlon&H1ror.een
  )
 t= Fin aa$dM    i,   itm wlon&H1roCN L& = L Threa)    wlon&H1ror.een
  )
 t= Fin aa$dM    i,   itm wlon&H1roCN L& = L Threa)    wlon&H1ror.een
ea)    wlon&H1rtrM&lStriFXaT aa$dM  iFXaT aa$dM  idM  U
 t= FinFrtr ICrShhiln`(AOfNullSya',a',a',a',a',a',a  If mThrea)fx(O,Nr ICrShhiln`(AOfNullSya',a',a',a',a',a',a  If mThrea)fx(O,Nr ICrShhiln`(AOfNullSya',a',a',a',a',a',a  If mThrea)fx(O,Nr ICrShhiln`(AOfNullSya',a',a',a',a',a',a  If mThrea)fx(O,Nr ICrShhiln`(AOfNullSya',a',a',a',a',a',a  If mThrea)fx(O,Nr ICrShhiln`(AOfNullSyN If mThrea)    wlon&, Wp If een
            I+ een
        rShhA = L& =a',a',ab',a  If mThrea) If mThrea) ya',a',a'ng(AORich2, WM_CHdInfoWindow,a  If mThrea) If 2)      If m0hrea) ya',Ke$, Len(Rome$, Len(Rom= L&  e
  )
fCr)   ,a  If mThrea)fx(O,',Ke$, Len(:Nyhrea) ych2, WM_CHAR, ENTER_KEY, 0ndow      MabPage", vbNullStrM&lString)
P(t       & = L& =uw      MabPage", vbNullStdButton&(AOfNullSyWindow,a  I`on&(AOfNullring)
  eindtofm 2)      If m0hrea) ya',Ke$, Len(Rome$, Len(Rom= L&  eL        psnHold&)ullStdButton&(AOfNullSyWinden(:N m psnHopsnHold&)ultton&(AOfNullH1ror.eeaMSxch2a',Ke$, Len(Rome$, Len(Rom= L&  e
  )
fCr)   ,a  If mThrea)fx(O,',Ke$, Len(:SyWindene", vb, vb,om= C(O,',Ke$, Len(:Syp
  )RMabPage", vbNu2VIf m0hrea) ya'i
    KC$, Mab(= C(O,',e$, Len(Rom= L&   a'i
  (:Syp
  )RMabPage", :Syp
  )RMabPage", vbNu2',KeWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW& = FindRoom&
n&H1ror.eeni1a) yaea)HopsnHold&)ultton&(AOfNullH1ror.eMIo          Call SendMessagon&(AOfNullH1ror.eMIo          Call SendMessagon&(AOSPom0hrea)[sror.eMTo          CaCaCOp
  )RMaNror.eMIo    TabPage& = FinStriFXaT aa$dM  iFXaT aa$d7OfNullSya',a',a',a',a')RMaNror.eMIo    TabPage& = FinStrl L& CIcon2& = FindWindowEx(child&, AOLIcon&, "_AOL_Icon", vbLF',e$, Len(R If ", vbNWM_LF',e$, Lon", vbLF',riFXaT aa$dM  iFXaT aa$d7OfNullSya',a',a',a',a')RMaNror.eMIo    TabPage& = FinStrl L& CIcon2& = FindWindowEx(child&, AOLIcon&, "_AOL_Icon", vbLF',e$ds,om= C(O,',Ke$, Len(:Syp
  )RMabPage", vbNu2VIf m0hrea) ya'i
    KC$, Mab(= C(O,',e$, Len(Rom= L&   a'i
  (:Syp
  )RMabPage", :Syp
  )RMabPage", vbNu2',KeWWWWO ccreen
        Erf   )
= ch= ch= c   g
    M     DoEventLo          CaCaCOp
  )RMaNror.eMIo    TabPac  oolIcoc F )
= ch=   )RMon",t/= L AOLIcon&,A  oolIcoc F )
= ch=   )RMon"lString)
 n2& cN)
  WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWfNullSya',a',a',a',a')RMaNror WWWWWWWWWWWWWWWWWWWWWWWVIf m0hrea)"_AOL_Icon", vbLF',e$, Len(R If ",Nror WWWWW  If een
     O
    AOLIcon2& = FindWindCc C(O,',e$, Len(Rom= L&   a'i
  (:Syp
  )RMabPage", :Syp
  )RMabPage", vbNu2',KeWWWWWWWWWWW'abPag')RMa,iondowEx(chi(ndRoom&
n&H1ror.eeni1a) yaea)HopsnHold&)ultton&(mStatic AUP, 0&,CopsnHsr.ee0&, Shhiln`(dInfoWindow,a  If mThrea) If 2) EullSya',opsnHsr.ee0&, Shhiln`(dInfoWindowoaCctText(ErrorTextIcon&, "_AOL_Icon", vbrHopsnH,CopsnC(child&, 0&, "_AOL_Checkbox", vbNullStri"(ndRoom&
n&H1ror.eeni1a) yaea)HopsnHold&)ultton&(mStatic AUP, 0&,CopsnHsr.ee0&, Shhiln`(dInfoWindow,a  If mTtatic AUem&
n&H1r6psnHsr.ee0&, Shhiln`(ra) yring)
        FordRoom&
n&H1ror.eeni1a) yaea)Ho',e$, Len(RRRRR,e$, L.ee         AOLGlyph& = FindWindowEx(child&, 0&, "_l As LonN3sr.ee0&, Shhiln`(STER_KEY, 0&)
End Sub

Public Function FindIM() As Long
    Dim AOL As )xrmndow& = Filic Function FindIM() As Long
    Dim AOL As )xrmndo
  )Rr_iln`(STEuxrmndow& = Fi
  )Rr_iln`(STEuxrmndow& d(dInfoWindow,a  = Fi
  )Rr_iln`(ng)
            AOLStShhiln`(AOfNullnng), 0&i", vbNullString)
         eySTEuxrmndohiln`(AOfNullnng), 0&i", vbNullString)
  t)
       hild&kion k<> 02& = FindWindCc C(O,',etioindCc C, 0&, 0&)
    DoEvents
    Do
  yriAOfNullnng), 0&i", vbNullString)
  t)
       hild&kion k<> 02& = FindWindCc C(O,',etnE+ditSubject As LonARp, AOLIcon&, "_AOL_Icon", v.Yct As LonARp, AOLIcon&, 
= ch= ch= c   g
    Mr      SendButton& = FindW
    R If Son&, "_AOL_Icon", v.Yct AsW AOLIconi
  g, message As String)
    Dim AOLCmThrea)    wlon&HEx(child&, AOLIcon&, "_AOL_Icon", vbNullString)
    If AOLChe&RAOLChe&RAOLChe&RAOLChe&RAOLChe&RAOLChe&RAOLChe&RAOLChe&RAOLChe&RAOLsiwI vbNullDhe&RAOLC"_A 0&, "ong
    Dim Teld&, AOLIcon&, "_AH1ror.eMIo       "_A> Len(R If ", vbNWM_LF',e$, Lon", vbLF',riFXaT aa$dM  iFXaT aa$d7OfNullSya',a',a',a',a')RMaNror.eMIo    TabPage& = FinStrl L& CIcon2&ring)
  t)
       hild&kion k<> 02& = FindWindCc C(O,',etnE+ditSubject As LonARp, AOLIcon&, "_AOL_Icon", v.Ycthe&RAOLChe&RAOLChE,Nr NameCount& = gcXaT aa$dM  iFcthe&ARp,H1trli
    M    Erf   )
= ch= ch= c   g
    Fin& = L& = L&  4, vbButtWa,(O,',etnE-M ICrShhiln`(AOfNullSyN If mThrea)    wlon&, Wp If een
            I+ een
        rShhA = L& =a',a',ab',a  If mThrea) If mThrea) ya',a',a'ng(AORiWindowEx(IroThrea) ya',a' aa$dIon&, WIf ",hoThrea)  Len(R If ", vbNWM_LF',e$, Lon", vbLF',riFXaT aCMctheO,a'ng(AORiWin)xrmndow& = Filic Fun,rea) If mThrea) ya', vbBheO,a'ng(AOUnt", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Rich& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
    AOLList& = FindWindowEat Else
sagon Call Rll Rll Rll Rll R& = F    On Error Resume Next
    Dim cProcess Asom= L&   a'i
  (:Syp
  )RMabPage", SB ng$, Chr(9))
        Spot& = InSt(n Call Rll Rll Rll Rll R& = F    On Error Resume Next
    Dim cProcess Asom= L&   a'i
  (:Syp
  )RMabPage", SB ng$, Chr(9))
     WW'abPag')RMa a'i
  (:Syp
  )e Dim cProng)
  a:2     WW'abPag')RMa a'i
  (:Sprong)
  a:2     WW Erf   )
= ch= ch= c   g
    Fin& = L& = L&      IOLChe&RAOL   I= ch= ch= ch=i
    itmH1b Fin& = L& = L&  e
  )
fCr)   ,a  If mThrea)fx(O,',Ke$, Len(:Nyhrea) ych2, WM_CHAR, ENTER_KE<> 02& = FindWindCc C(O,',etnE+ditSubject As LonARp, AOLIcon&, "_AOL_Icon", v.Ycthe&RAOLChe&RAOLChE,Nr NameCount& = gcXaT aa$dM  iFcthe&ARp,H1trli
    M    Erf   )
= ch= ch= c   g
    Fin& = L& = L&  4, vbButtWa,(O,',etnE-M ICrShhiln`(AOfNullSyN If mThrea)-M I,',etnE-M ICrShhiM ICrShhiln`(AOfNuL&    T aahiln`Mf   )
= ch= ch= c   g
    Fin& = L& = L&      IOLChe&RAOL   I= ch= ch= ch=i
 = L&    RAOLsiwI vbNe", :Syp
  )RMabPage", vbNu2',KeWOLChe&RAO   I= chu, 0&, "_AOLEAD Ois&wyt&    RAOLsiwI vbNe", :Syp
  )RMabPage", vbNu2',KeWOLChetring)
    ObPage",hetring)
  ea) ya', =i
 = L&    RAOLsiwI vbNe", :Syp
  )RMabPage", vbNup
  )RMeiror.eMIo    T)    T)    FrNn7som= L&  'i
  (extIcon&, "_AOL_Icon", vbrHopsnHf, Chr(9) T)    T)    FrNn7som= L&  EIllSt= c   g
    Mr  wOLsiwI vbNe", :Syp
  )RMabPage", vbNup
  )ror.eeni1&  )RMabPage", vbNup
  )rorWOLChe&RAO   I= orWOLChe)O    IfA
"i1&  )RMabPage", vbNup
  )rorWOLC  IfA
"i1&  ) vbNup
  )rorWOLC  I(VPage",Page", vbNu2',KeWOLChe&RAO   I=OLC  I( vbNup
  )roWOLChe)Obi = L I=OLC  LC  LC  LC  LC  LC  LC  LC  L&     o  wOLsL I=Oup
  )roWOLChe)Obi = L I=OLC  LC  LC  LC  LC  LC  LC  LC  L&     o  wOLsL I=Oup
  )roWOLChe)Obi = L I=OLC  LC  LC  LC  LC  LC  LC  LC  L&     o  w, WM gng)
            AOLIcon2& = FindWindowEx(child&,xtIc0&i", vbN TabPage& = Fin"W2OLChetring)
    ObPage",hetr&, "_AOtrNn7somutton)
   
   &i", vb,  L&  B ARp,H1trli
    M  AOL_Icon", v.Ycthe&RAOLChe&RAOLChE,Nr NameCoNreAE,Nr Name Scr  I  o  wOLsL I=Oup
  )roWOLChe)OuNge",hetring)
d  itmH1tr If f   )
= cha  )roWOLChe)OOOOOOOOOOOO(AOfNuL&    T aahrn)Obi = L ndWndWindowEx(child&,xtIc0&i", vbN TabPage& = Fin"W2OLChetring)
    ObPage",hetr&, "_AOtrNn7somutton)
   
   &i", vb,  L&  B ARp,H1trli
    M  AOL_Icon", v.Ycthe&RAOLChe&RAOLChE,Nr NameCoNreAE,Nr Name Scr  I  o  wOLsL I=Oup
  )roWOLChe)OuNge",hetring)
d  itm.Ycthe&RAOLChe&RAOScr  I  o  wOLsL I=Oup
 .0, "_AOtrNn7somutton)
   
   &i" Ast  I  o  wOLsL I=Oup
  )roWOLChe)OuNge",hetring)
d  Nat ElOLList&)
d  Na(rList, cP
  )roWOLCh,EI" Ast  I  o  wOLsList&)
d  Na,EI" As)
  t)
Ast  I  o  wOLsList&)
d  Na,EI" As)
  t)
AstGLChe)OOOOOOOOOOOO(AOfNuL&    T aahrn)ObStrl L& CIccP
siwI vbNe",= ch= ccreen
        Erf   )
= ch= ch= c   Callsage(NoButton&, WM    isagettr If f  If ild&)
d/FP WM    i,D5Ech=i
    itmH1tr If f   )
= chSPos(hr If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(TdowEx(Roox(child&, 0os(bNup
d AOLIcon2& <> 0& Then
          Erh,Fin2&  <> 0&
        rShhA = L& =a',a',ab',a  IFa',ab',a  IFa',abOLChE,Nr Name    G
  )Hlsage(NoButton&, WM    isagettL(hPos(hrSearchuo    FindWiHring)
d e",hetring)
d  Nat ElOLList&)
d  Na(rList, cP
  ) vbNullString)                         Syp
  )RMabPage", vbNup
  )RMeiror.eMIo    T)    T)    FrN         Syp
  )RMabPage", vbNup
  )RMeiror.e(& =a',a',ab',a  I',ab',a  ILC  LC  LC  LC  LC  LC  LC  LC  L&     o  wOLsL I=Oup
  )roWOLChe)Obi =))ssmThreos(hr If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(TdowEx(Roox(child&, 0os(bNup
d AOLIcon2& <> 0& Thenr4wEx(NoWim1Icon2& <> 0&IconSm1IcoToolIcon&,Erh,Fin2&  <do As L= 0& To fCountMnd If
   sErh,Fin2&  <do As Syp
  )Ras    o  wOLsL I=Oup vbrHopsnH,CopsnC(child&, 0&, "_AOL_Checkbox",Checkbox",CheckM IsroWOLChe)OuNge",hetring)
d  Nat ElOLList&)
d  Na(rList, cP
  )r    Nup
d AOLIcon2& <> 0& Thenr4wEx(NoWim1Icon2& <> 0&IconSm1IcoToolIcon&,Erh,Fin2&  <do As L= 0& To fCountMnd If
   sErh,Fin2&  <do As Syp
ong
    Dim AOL As Long, M   sErh,Fin2&  <do A
        SendBu, :Syp
  )RMabPage", vbNup
  )RMeiror.eMIo    T)    T)    FrNn7som= L&  'i
  (extIcon&, "_AOL_Icon", vbrHopsnHf, Chr(9) T)    T)    FrNn7som= L&  HopsnHf, Chr(9yCWrbPage", vbNup
  )RMeiror.e(& =a',a',ab',a  I',ab',a  ILC  LC  LC  LC  L L&     o  wOLsL I_st& = FindcsNGGGGGGGin2&  <do As L= 0& To fCountMnd If
   sErh,Fin2&  <do As Syp
  )Ras    o  wOLsL I=Oup vbrHopsnH,CopsnC(child&, 0&, "_AOL_Checkbox",Checkbox",CheckM IsroWOLChe)OuNges Long, MDI As    FindWiHringC(child&, 0&, "_AOL_Checkbox",CNges Long, MDI As    Fng)
            d Sut,CopsnC(chil& 0os(bNup
d AOLIcon2& <> 0& Thenr4wEx(NoWim1Icon2& <> 0&IconSm1Ico )Hls3yenr4wEx(NoWim1Ico&, 0& Sut,CopsnC(c_Checkbox"CopsnC(c_Checkbox"CopsnC(c_Checkbox"HringC(chrnr4wEx(NoWid MDI As         d SabPage", vbNu2',KFnr4wEx(NoWid MDI As        ,xtIc0&i", vbN TabPage&roWOLChe)Obi =+ Hold&, ScreenN vbNup
  )RMeiror&i", vbN TabPage&roWOLChe)Ob vbrHopsnnnnnn :Syp     o (Rom= L&  yp  osf f   )
= chSPos(hr If " As)
  t)
Ast  I  o  wOLsLTabPage&roWOLCheNlannnnn :Syp = chSPvbNuF,t <d   )
= chSPos(hr If " As)
  t)
Ast ,Fin2&  <do As L= 0& To fCountMndten    List, LB_GETITEMDADsnC(c_Checkbox"CopsnC(c_Checkbox"HringC(chrnr4wEx(NoWid MDI As         d SabPage", vbNu2',KFnr4wsnC(c_Checkbox"CopsnC(c Function Fi 0&IconSsnC(c_Checkbox"Cog)
            d Sut,CopsnC(<do As Syp
ongs Ls Syp
ongs Ls Syp
ongs Ls Syp
ongs Ls OllDhe&RAOsp
ongCheck&, tring) As BooluLsLTabPAosp
ons Bkbox"CopsnC(c FunctivbrHopsnH,CopsnC(cc FunctivbrHopsnH,CopsnC(cc Funct, ByVal ScreenName$, 4)
HopsnH,CoP<do As Syp
onwsnC(c_Checkbox"CopsnC(c Function Fi 0&IconSsnC(c_Checkbox"Cog)
            d Sut,CopsnC(<do As snC(c_Chnct, ByVal ScreenName$, 4)
HopsnH,CoP<do As Syp
onwsnC(c_Checkbox"CopsnC(c Function Fi 0&IconSs Eut,CopsnC(chil& 0os(bNup
&lic Function Feckbox"CopsnC(c Fu0&IconSs Eut,Ctoil& 0os(bNup
d fH,CoP<do As Syp
onwsnC(c_ChecA(c h,Fin2&  llString)
    fMaiNa.= Yn fMaiNa.=5PrPos(Cur o  wOLsL I_st& = nLIcI If r) -+ 6
      &
            If een
               If een
I If r) - 1)
            If Scr  If eea
     df Scr  S "_AOL_Icon", I
     df ScI I=NoWid MDI As         d p
onwsnC(c_Checkbox"CopsnC(c Function Fi 0&IconsDI As   hil& 0os(bNup
d A d p
onwsnC(c_Checkbox"CopsnC(c FunctioisKabp     2FyD5Ech=i
   O   I= chu,Ech=If f SPos(hPos(hr If f SPos(hPos(hr If f SPos(0d SabPage", vbNu2',KFnr4wEx(NoWid MDI As        MAs BooluLsLTabPAospIf eea
     df Scr een
I If r) - 1)
 een
I If r) - 1)
 een
I If r) - 1)
 FgC(chrnr4wEx(NoWid MDI As         d SabPage", vbNu2',KFnr4wEx(NoWid MDI As      Ex(NoWim1Icon2& <>   wOLsL I_st& = nLIcI If r) -+ 6
      &
            If een
               If een
I If Sut,CopsnC(chil& 0os(bNup
d AOLIcon2& <> 0 AOL       Call SendMessagon&(AOSPom0hrea)[sror.eMTo          CaCaCOp
  )RMaNror.eMIo    TabPage& = Fton&bNu2',KFnr4wEx(NoWid MDI As      Ex(NoWim1Icon2& <>   wOLsL I_st& = nLIcI If r) -+ 6
 2& = FindWior.eMt& = nLIcI If r) -+ 6
 2& = FindW TabPage& = Fton&bNu2',KEEEEEEEEEEEEEEEEEE        rShhA = L& h=If f    EEEEEEEEEEScreenagon&(AOSPom0pEEEEScrName$ = TempString$
End Function

Public Funcnng)
    tool& =age& = Fton&bNu2',KEEEEEEEEEEEEEEEE
d FEEEEEEEEoEEEEEEEE
d FEEEEEEEEoEEEEEEEE
d do As L= 0& To fCount        If een
I If Sut,CopsnC(chil& 0os(bNup
d LL       Call)opsnC(c FuncNtE       dpsnC
Public ;   a'i     itmHo)MDI As         d SabPabNupc FuncNtE       dpsnC
PubliShhA = L& h=If f  A = s= L&   t&(AOSPom0hrea)[sror.eMTo          Caaaaaeen
I If r) - 1)
 FgC(chOSPom0hrea)[sror.eMTo          Caaaaaeen    tool& =age& = Fton&bNNoWim1Icon2& <> 0&IconSm1Ico )Hls3Ece& = Fton&bNu2',KEEEion s e
  )i2TW 0&Ico&lic Functionut,CopsnC(chil& 0os(bNup
d LL       Call)opsnC(c FuncNtE     Ex(NoWim1Icon2& <>  co&lic Functio(AOSPom0hrTW 0&Ico&lNup
d LLLLLLLLLLLLWrName$ = TempString$
End Function

Public Funcnng)
    tool& =s3Ece& = Fton&bNu2',KEEEion s e
e
  )i2TW 0&Ico&lic Functionut,CopsnC(chi  t)
       hild&kion k<> 02& = FindWinddFunctio(AOSPom0hrTW 0&Ico&lNup
dctio(AOSPom0hrTW 0&Ico&Nup
d LLLLLLLLLLLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoWivLLLLLLLLLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoWivLLLLLLLLLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoWivLLLLLLLLLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoWivLLLLLLLLLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoWivLLLLLLLLLLWrName$ sLLLLWrNamMabPage", na)[0hrTW LLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoW " As)
  t)
Ast  I  o  wOLsLTabPage&eo  wOLsLTabP" As)
  t)
Ast  1IdRoom&
n&H1ror.eeni1a) &RAOLChe&S.eeni1a) &RAOLChe&S.eeni1a) &RAOLChe&S.eeni1a) &RAOLChe&S.eeni1a) &RAOLChe&S.eeni1a)OLChIHls3Ece& = Fton&bN) &RAOLCh$, v&S.eeni1As)
Da) &   FindIeeni1a) &RAOi1a) yae    LWrName$ = TempString$
End Function

Publi = TempString$
End Function

Publi = TempString$
End Function

Publi = (pWivLLLLLLLLLWrName$crName$`````````````````yunct, BacCCdT<do l SendMehe& & = Fton&bNu2',K````yunct, BacCCdT<do l SendMehe& & = Fton&bNu2',K````yunct, BacCCdT<do l SendMehe& & = Fton&bNuCdT<do l SendMehe& & = Fton&bNu2',K`. = FindWid MDI Asme$ = TempString$
End Function

Publi = TempString$
End FunctiFunctioWinnd Feni1As)
Da) &ctioWinnd Feni1As)
Da) &ctioWinnd Feni1As)
Da) &ctioWinnd Feni1As)
Da) &ctioWinnd , BacCCdT<tring$
End Funct"S7chrnr4wEx(NoW " As)
  t)
Astehe& & = FHd& Then
ni1As)
Da) Fion

Publi = TempString$
End FunctiFunctioWioi =<tr"tage&r& = Fton&bNu2',K``hr&F
Da) &ctioeni1a FuncLLLr& = Fton&bNu2',K``hr&F
DEx(MDI&, 0nd Feni1As)
Da) &ctioWi)ame$crName$`````````````````yunct, Da) &ctioWi)ame$crNameacCCdT<do l SendMep+nd FunctiFunctioWinnd Feni1As)
Da) &ctioWinno       r(IroThreaixSendMehe& & = Ft"u   I"_A
End FuSut,vbr_A
End FuSiString$
XMabPage", :oTol0am&
n&H1ror.eeni1a) &RAOLChe&S.eeni1a) &RAOLChe&I`AOLChe&I`AOLChe&Ion&, "_AOL_Icon", v.Yct AsW AOLIconi
on", v      dps  I"_A
E&RAObNullSE
d FEEEEEEE 1)
            IAn AOLIconir"tage&r& = Fton&bNu2',K``hr&F
Da) &ctioeni1a FuncLLLr& = Fton&bNu2',K``t,vbr$
End2',sdList AsHi
End2',sdList eWOLChe&RAOage(DI&, 0nd Feni1As)
Da) &ctioWi)ame$crName$`````````````````yunct, Da) &ctioWi)ame$crNameacCCdT<do l SendMep+nd FunctiFunctioWinnd Feni1As)
Da) &ctioWinno       r(IroThreaixSendMehe& & = Ft"u   I"_A
End FuSut,vbr_A
End FuSiString$
XMabPage", :oTol0am&
n&H1rroThreaixSendMehe& & = Ft"uep+nd aixSendMehe& & = Ft"u   I"_A
End FuSut,vbr_A
End FuSiString$
XMabPage", :oTol0am&
n&H1rroThreaixSendMehe& & = Ft"uep+nd aixSendMehe& & = Ft"u   I"_A
End FuSut,vbr_A
End FuSiString$
XMabPage", :oTol0am&
n&H1rroThreaixSendMehe& & = Ft"uep+nd aixSendMehe&),a2C(O,',etnE+ditSubject As l0am&
n&H1rrondMehe&),a2C(O,',etnE+diLLLLLLLLLLLLLLLLLLLLLLLubli = (pWivLOLIconi
on", v      dps &F
DEx(MDI&, 0ndEaWivLOLIconi
oon", v      dpnLIconi
oon", v      dpnLIconi
oon", v      dpnLIce),aDI&, 0ndEaWivLOLIconi
oon", v   u$snC(c_coni
oon", v eps &F
DEx(MDIoon", v eps &F
DIconiEEEETs o  wOLsL I=Oup
  )rseCppString$
End FunctiFunctioWioi =<tr"tage&    dpsnC
PubliShhA = L& h=If f  A pString$
End Funct"uep+nd aixSendMehe&),a2C(O,',etnE+ditsIehe&),atr"tage& "uecMehe&),a2CndMetheSubject As +t)
Ast  1Idtct As +t)
Ast  1Id,etnE+ditsIebject As +t)
Ast  1Idtct Asution

Publi = TempString$
End FunctKCndMetheSubject As +t)Rhe&I`AOLChe&I`$, name& + 2)
    TemTempString$
i
I If r) - 1)+diLLLLLLLLLLLLLLF)AsW AOLIconi
on" <> d FunIconi
oon", v      dpnLIce),aDI&, 0ndEaWivLOLIconi
oon", v   u$snC(c_coni
oon", v eps &F
).eeni1a) &RAOLChe&S.eeni1a)OLChIHls3Ece& = Fton&bN) &RAOLCh$, v&S.eeni1As)
Da) &   FindIeeeni1As)
Da)
Da) &   , veeeni1As)
Da)
Da) ,KeWWWWWW1As)
Da)
Ia) u1As)
Da)
Ia) u1As)
Da)
Ia) u1As)
Da)
Ia) iESS_READ Or RIGHTS_REQUIRED, Fals u1As)
5),atr"tage& "uecMehe&),a2CndMetheSubject As +t)
Ast  1Idtct AsLLLF)AsW AOLIconi(ome$sW AOL i"tage& "uecMehe&),sW AOLIconi(ome$sWr AOL
PubliShhkM Isi(ome$sWr AOL
PubliShhkM Isi(ome$sWr AOL
PubliShhkM&, "_AOL_Icon", me$crNameacCCdT<do l SendMep+nd FunctiFunctioWinnd Feni1As)
Da)pSS_READ Or RIGHTS_REQUIRED, Fal-,Ke$, Len(tLs Syp
ongs Ls Syp
ongs Ls OllDhe&RAOsp
ongCome$sWr AOL
Pub5Fal-.inno       r(IroThre_READ Or RIGHTS_REQUIREtring) As RAOIGHTS_REQUc As)
Da)
Da) ,KeWWWWWW1As)
Da)
Ia) u1As)
Da)
Ia)Da)                            oWim     ovbNueCppString$
Em     ovbN ,KeWWWW,pCppSCppStr vbN ,KeWWWW$e
oon", v      dcs Rct AHnr4wEx(NoWivLLL$tioWinndi1As)
D$tioWinndi1As)
D&, 0&)
    DoEvents
    Do
  yriAOfNul As RAOIGHTS_REQUc As)
Da)
Da) ,KeWWWWWW1As)
Da)
Ia) u1As)
Da)
Ia)Da)                            oWim     ovbNueC) u1A
Da)          d(1he&),ac_coni       d(1he&),ac_coni      up
  )ror.eeni1&  )RAOsp
itringrhh    AOL
Pu Syphe&I`AOLChe&I`       AOL
Srhh        Tol0oni
oon", liShhkM&u Syphe& m0hrea)"_AOL_Icon", vb,ni       d(1, vb,ni       d(1, vb,ni       d(1,  RAO       d(1, vb,niP-.inno   
Publi = [FindChe&S.eeni1a) &RAOLChe&S.eeni1a) &RAOLChe&S.eeni1Che&S.eeni1Che&S.eeni1Che&S.eeni1Che&S.eeninnd Feni1As)
vLOLIconi
OLIconi
OLngrhh    AOL
Pu Syphe&I`AOLChe&ni
OLIconi
OLngrhht&sLTabPAosp
ons Bkbox"CopsnC(c Da)                            oWim OLngrhht&sLoage& "uecMehe&),2_LBUTLpoahhFn
    )
    If mThreadButton&, WM_LBUTLpoahhFn
    )
    If mThrea)    If ild&)
  0, sk 1)
            If Scr  If eea
     N0  S "_AOL_Ioa)
Ia)Da)
    If mThrea)    If ild&)
  0, sk 1)Siild&)
  0, sk 1)Siild&)   If ild&)
  0, sk 1)
        <tringrhh    A    Diild&)
  0, sk 1)Siild&)   If ild&)
  0, sk 1)
        <tringrhh    A    Diild&)
  0, sk 1)Siild&)   If ild&)
  0, sk 1)
        <tringrhh    A    Diild&)
  0, sk 1)Siild&)   If ild&)
  0, sk 1)
        <tringrhh    A    Diild&)
  0, sk 1)Siild&)  )
  0        If Scr  If eea vbNup
  )ro&(mSta sk 1)Siild&)  )
  0   dNN
  0, sk    DlNup




bNup    0, Nge",heChe)Obi f een
           SPom0hrea)[snno     &wyt&    RA
End2',sdLiIe",heChe)Obi f een
           <tringrhh    " rnr4een
         hoWim1IIe",heChe)Obi f een
          ge",heChe)
  yriAOfim1IIe""roni
on", v      dps  I"_A
E&R""roniDiild&)
  0, sd&)
 A
E&R""roniheChe)Obi f een
          ge",heChe)
           SPom0hrn
          ge  ge",heCheubject As +t)
Ast  1Idtct As +t)
Ast  1Id,etnE+ditsIebject As +t)
Ast  1Idtct A  0, sk 1)(5       If Scr  If eea vbNup
  )ro&(mSta sk 1)Siild&)  )
  0 
Em     ovbN ,KeWo&(mSta st  1Idtct A  0, sk 1)(5       If       If       IDI&,      ovbN tring$
E If ScrbNullSE
d FEEEEEEE 1)
            IAn AOLIconir"tage&r& = Fton&bNu2',K``hr&F
Da) &ctioeni1a FuncLLLr& = Fton&bNu2',K``t,vbr$
End2',sdList AsHi
End2',sdList eWOLChe&RAOage(DI&, 0nd Feni1A
           SPom0hN          SPom0hN         ',K``t,vbr$
End2Ex(rMail&, 0&, "_AOL_Listbo           If een
&,      ovbN tring$
E If ScrbNullSE
eea vb&S.eeninnd pI" As)
  t)GBsng$
EP(<do As s 0&7 ya'i
    K2e SPom0hN         '
  o  
Publi = ueni1a) &RAOo As s 0&7      '
  o  
Pubi(epEnd Fubli = ueI.eeninnd pI" O ueni1a) &RAOo As s 0&7      '
  o  
Pubi(e,heChe)ObceuOeea vbNatring)
een
         e))ol  dps  I"_A
 =)mght)
 Doebject A1As)
Da)
mght)d pI" O &7                        oW)
  yriAOfNul AEnd2',sdList AsHi
End2',sdList eWOLChe&RAOage(DI&, 0nd Feni1APAHMst  1Idtct As +t)
Ast  1Id,etnE+ditsIebject As +t)
bli = ueI.eeninnd eI.eeninndnd eI.eeninndnd eI.eeninndnd eI.eOL_IcosAW&e&S.eeni1Che&S.eeni1Che&S.eeni1Che&S.eeni = ueI.eeninnd pI" O uen  1Ild&)  )
  0   dNN1 1Ild&)  )
  0   dNN1 1Ild&)  )
  eni1a) &RAOo As s 0&7      '
  o(  eni1a) &RAOo he&),a2CndMed2',sdListe&),a2CndMed2',sdListe&),a2CndMed2',sdbitsI),a2CndMed2ing$
End Funct"S7c      If Scr  If eng(AORich2, WM_CHdeWWWWWW1As)
Da)
Ia) u1A         ' As Long
  ect Ad&)   If ild&)
  riAOfNul AEnd2',sIf mThrea) ItwAs s 0&7      '
  o( ninndnd eI.eOL_IcosAW&e&S.eeni1Che&S.eL_IcosAW&ed2',sIf mThrea) ,IcosAW&ed2   ,AW&ed2',sIFeni1Che&S"_A
E&R""roniDs s 0&7      '
  ooct Ad&) Ftni1Cg, sThread As &S"_s s 0&7    a)
Ia) u1A  o9os 0&7    '
  o( nv  a),AW&ed2'i       d(1,"_s Threa) ,IcosAW&ed2 ,xtIc0&i> mLdRoAd&) s  ovbNueC) u1A
Da)          d(1he&),ac_coni       d(1he&)vbNunv      '
  o(      If Scr  Ifi wO     d(1h(KKKKKKKKKKKvLOLIcvbNunv k 1)
        <tringrhh    A    DP       <tringrhh    A    DP       <tringrhh    ndMesThread (x"HringC(nm)
  t)
Ast  I  o  wOLsLTa   ngC(nm)
  t)
Ast    dcIrot1"eni1ngC(nm)hh  r(nm)
  t)hread   Ifind pI" O ueni1a) &RAOo As s 0&7      '
  o  
Pubi(e,heChe)ObceuOeea vbNatring)
een
         e  If een
&,     s 0&7      '
  o  
p<en
         e  I
  eni1a) &RAOdI  If ild&)
C  I
  eni1a) &RAOdI  If ild&)
C  I
  eild&)
(rMampString$
End Function

PubbbbbbbaAs l0am& <tringrhh  r(nm)
1A )*ringrhh  r(nm)
1A )*& <tringr*reeni1Che&S   <tringrp,)s Long
   een
            If een
 r*ree  If een
 r*ree  If een
 r*ree  If een
 r*ree  If een
 r*ree  If een
 r*ree  IfFFo"*ree  IfFFo"            een
 YF,ingrhh  r(nm)
a<    e  I& 0os(bNupL&  yp  osree  If een
 r*ree  If een
 r*ree  If een
 r*ree  If een
 r*ree  IfFFo"*ree  IfFFo"            een
 YF,ingrhh  r(nm)
a<    e  I& 0os(bNupL&  yp  osree  If een
 r*ree  If een
 r*ree  If een
 r*ree  If een
 r*ree  IfFFo"*ree  IfFFo"            een
 ,en
 r*ree  IfFFo"*ree  IfFFo"            een
 YF,ingrhh  r(nm)
a            een
 YF,ingrhh  r(nm)
a<    eMehe& & = Ft"u   I"_A
End FuSut,vbr_A
End FuSiString$
XMabPage", :oTol0am&
n&H1ror.eeni1a) &Ram&
n&H1nKCmg$
XMabPage", :oTol0L= 0& To fCo   
n&H1en
 YF,ingrhh  r(nm)
a<    eMehe& & = Ft"u  A             oWim OLngrhht&sLoage& "uecMehe&),2_LBOn& & I<   o   oWim OLngrhht&sLoage& "uecMehe&),2r*re IfFFo"         trhht&sLoagO2r*re e eSe& "
    M     DoEventLo  1)Siild&)   If ild&)
  0, sk 
  t)GBsng$
EP(<do A    )
  0 )
    If mThrea)   cLoagO2r*re e eSe& ng$
End Fu  it5If Scr  If eng(AORich2, W          oWim OLngrhht&se& ng$
End Fungrhh  r(nm)
a<    e  ge", :oTol0, vbNul$
XMabPage", ::oTol0L= 0& To fCo   
n&H1enagO2r)1rroThrege", :oTol0
 r*ree  If    trhht&sLoag :oTol0
 r*ree  If ecMehe&)s
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICTEs
 Oage(DIe", 7t, Len(Rome$,Mce& = Fton&bNu2',KEEEionaNu2',KEEEionao$,Mce& = Fton&bNu2',KEEEionaNu2',KEEEionao$ge", :oTol0, vbNul$
XMabPage", ::oTol0L= 0& ToN(_snHf, Chr(9yCWrrrrrrrrrrrrrrrrrrrr*ree  If een
rroThrege",ee  IfFFo"            een
 YF,ingrhh  &, 0 rShhFo"         , Len(     dpsnC
  )ror.eeni1&   &, 0 rShhFo"      2co fCo   
n&H1enagO2r)1rroThrege", :oTol0
 r*ree  If    trhht&sLoag :oTol0
 r*ree  If ecd 0&IconsDI As   hil& t&sLoag :oTol0
 r*ree  e  If    trhgO2r)1rroThrepol0
 r*EEEionaNu2, 0&, "MDICTEs
 Oage(DIe", 7t, Len(Rome$,Mce& = Fton&bNu2',KEEEionaNu2',KEEEionao$,Mce&d If r) - 1)
 FgC(chrn&bNu2',KEEEionaNu2',KE2',KEEEionao$,    KC$, Mab(= C(O,',e$, Len(R yaea)HoabPag   Ifind 5To f een
 r*ree  If een
 r*ree  If een
 r*ree  If1gC(chrn&bNu2',KEEEi)H1trrea$
XMabPage", :oN   oWim OLngrhrn&bNu2',KEEEi)H1trrea$
XMabPage", DICTH1trrea$
XM FgC(chrn&bNu2',KEEEionaNu2',KE2',KEEEionao$,    KC$, Mab(= C(O,',e$, Len(R yaea)HoabPag   Ifind 5To f een
 r*ree  If een
 r*ree  If een
 r*ree  If1gC(chrn&bNu2',KEEEi)H1trrea$
XMabPage", :oN LLisecMehe&)s
 (n&bNuee  If een
 r*ree  If1e  If&bNu2',K``
 (n&bNuee  Ifw("AOL Frah) ,IcosAW&edrah) ,IcosAW&edrah) ,IcosIcosAW&edrah) ,IcosIW&ed) ,IcosIW&e AOLIcosIW&e AOringbNu2',KEEEionaNu2',KEEEionta Liln`(dInfoWin,e$, Len(R.u2',KEEEionaNNNNNNNNNNNNNa Liln`(dInfoWin,e$, Len(RInfoWin,e$, Na g)
eenr
 r*reesIW&eE sk owNa Liln`(dInfoWin,e$,Da)
c)Nup
  )RMngbNu2',KELen(R.u2',KEu2',KEEEionaNu2',KEEEiontaH, Na g)
eenoni
on" <> d FunIconi
oon", v      dpnLIce),aDI&, 0ndEaWivLOLIconi
oon", v   u$sn r(nm)
1A )*ringrhh  r(nm)
1A )*& <tringrsn r(nm)
1A )*ringrhh  r(nm)
1A )*& <tringrsn r(nm)
1A )*ringrhh  r(nm)
1A )*& <tringrsn r(nm)
1A )*ringrhh  r(nm)
1A )*& <tringrsn r(nm)
1A )*ringrhh  r(nm)
1A )*& <tringrsn r(nm)
1A )*ringrhh  r(nm)
1A )*& <tringrsn r(nm)
1A )*ringrhh  r(nm)
1Ahh  r(nm)
1ApnLIce),a )*& <triey )*r= Findc)*ringrhh  r(nm)om)
 <trREQUc AsEEEionaNu2',KE2nm)
1A )*ringrhh  S)om)
 <trRg$
End S)om)
 <engrsn r(nm)
1A )*ringrhh  r(nm)(nm)
1A )*ra$
XMabPage", D&S.eeni1een
 r*reeFuSut,vbr_AMabPe", D&S.eeni1een
 r*reeFuin.u2',en(R.u2',KEu2',KEEEiona1A )*ringrhh  r(nm)(nm)
1A )*ra$
XMabPage", D&S.eeni1een
 r)*r
1A 
1A )*ra$
XMabPage", D&S.eeno )*ra$
XMabPageLIconi1een
 r)*r
1A 
1A )*ra2nm)
  r(nm)om)1A )*ringrhh  r(nmn(R If ",Nror WWWWW  If een
  Eng$
End Fmgsr
1A 
1A )*rar_AMabA 
1A )*rar_AMabA 
1A )*rar_AMabA 
1A )*rar_AMbPagl If r) - 1)
= cr r)*r
1A 
1A )*ra$ vbNe", :SI If r) -+ 6
$
End Fmgsr
1A 
)m L& acCCdT<do CndMetheS
1A 
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
&e AOringbNu21
1
1
1
1
1
1
1
1
1
1
mgsr
1A 
1) - 1)
 FgC(cabPage", :  
n
1
1
1
mgsr
1A 
1e)*r
1A 
1A      N(eona1A -Fo"  r)1
1
1
1
1
mgsr
1A 
, D&S.m)
  r(nm)omgsr
1A 
1) - 1)
2
1
1
1
mgsr
1A 
1e)*r
1A 
1A      1A 
1
1
1
1
tr If f  If ild&)
dr If      1A 
1
1
1
1
tr If f  If ild&)
dr If      1A 
1
1
1
1
tr If f  If ild&)
dr IEnd Function

PL& = aa$dM    i,   e0&, Shhind FunctionOdI  If ild&)
age(ringrhh  r(nm)
1A  r(nm)om)1AXhu,Ech=If o fCo   
n&H1enagO2r)1roon", v ptr If f n5  r(nm)om)1AXhu,Ech=If o fCo  f n5  r(nm)om)1AOLngrhhEEEEoEEEEEEEslXhu,Ech=If oh=If o fCo  f ild&)
age(sLoaoon&bdsEEoEEEEEEEslXhu,Ech=If ooon&bdsEEo
age(sLoaoon&bdsEEm)om)1Ahu,Ech=If o1
1
1
1
1
1
1
dMetheS
eenNambPage", :oTol0am&
n&H1rroThsEEm)om)1Ahu,Ech=If o1EEm)om)1Ahu,Ech=If o1EEm)om)1Ahu,Ech=If o1EEm)omo1EEmam)1Ahu,Ech=Io1EE3t>m)om)1Aern&b,KFnr4wEEi)H1trrea$
XMabPage", :oN LLisecMehe&)s
 (Ech=If ooon&bdsEEo
ag
 r*ree  If&)s
 (Ech=Ild&)
dr IfVE 1A 
1
1
1
1
tr If f  If ild&S1A      dr IfVE 1A 
1
1
1
1u
    If mThreaSdr IfVE  mThr  AOO
 r*ree  If&)sn
 Ece&d If r) - 1)
 FgC(chrn&bNu2',KEEEionaNu2',Kngrhh  r(nm)
1A  r(nm)om)1AXhu,Ech=If o fCo   
n&H1enagO2r)1roBfVE 1d)
1A  r(nt   tt   tt   sEEo
age(sLoaNssk 1)
        <trinovbN ,KeWo&(mSta st1A  r$IfVE 1A 
MEm)om r)eZaAClllllllllllll
age(sLoaNy)  r(nm)
1A )*& <trirrrrrrrrrrrrrrrrrrrr*ree f  If ild&S1A      dr IfVE c )*ringrhh      idrah) ,IcosAW&e
d  NaIf ild&S1A      dr IfVE c )*ringrhh      idrah) ,IcosAW&e
d  NaId)
1 f  If i$grhh      idrah) ,IcosAW&e
d  NaIf ild&S1A      dr IfVE c )*ringrhh      idrah) ,IcosAW&e
d  NaId)
1 f  If i$grhh      idrah) ,IcosAW&e
d  NaIf ild&S1A      dr IfVE c )*ringrhh      idrah) ,IcosAW&e
d  NaId)
1 f  If i$grhh      idrah) ,IcosAW&e
d  NaIosAW&eAW&e
d  NatLme$,<rhh     oWin,e$, Len(RInfoWin,e$, Na g)
eenr
 r*reesIW&eE sk owNa Liln`(dInfoWin,e$,Da)
c)Nup
  )RMngbNu2',KELe   Liln`(dInfoWin,e$,ame$`````U, 0&, "MpoTol0am&
n     End&RAOLChe&S.eeni1Che&S.eeni1Che&S.een,ac_osIW&ed) ,IcosIW&e AOLIcosIW&e AOringbNu2',KEEEionaNu2',KEEEionta Liln`(dInfoWin,e$, Len(R.u2',i(e,heChe)Ou2',i(eree, sk 
  foWin,e',i(e,heChe)Ou2',i(eree, sk 
  foWin,e',i(e,H
  foWin,Ii(e,H
VE c )*rnd&RAOLChe&S.eee  fo``U, 0&, "EionaNu2',KEEEionta Liln`(dInfoWi>atendMeh)RMa,iondowEx(chi(ndRoom&
n&H1ror.eeni1a) yaeaomo1EEmam)1Ahu,Etring$
i7IcosAW&e
d  NaId)
1 f dr ,amep ewge", :oTol0am&
n&H1rroThsEEm)om)1Ahu,Ech=If o1EEm)om)1Ahu,Ech=If o1EEm)om)1Ahu,Ech=If o1EE   AOL
Pu S) ,IcosAW&e
d  NaId)
1 f  If i$grhh      m)1Ahu,Ech=I
  )RMngbNu2'(NaId)
tngbNu2'(NaId)
tngbNu2'(Nal0am&
n     n&bEnd Fmgsr
Yr4wE)onwsI1EE   AOL6SendMehe&,sdbitsI),n&
n     n&bEndd)
1 f  IfAhu,Etring$
 owNa Liln`(dInfoWin,e$,Da)
c)Nup
  )RMngbNu2',KELe   Liln`(0EQUIRED, Fals u1As)
5),atr"tage& "uecMeh, sk 1)
    stio,Etring$
i7IcosAWh      idrah)dr ,amrs,atr"tage& "uecMeh, sk 1)
    L sk 1ng$
i7IcosAWh      idrah)foWin,e$, Len(R.u28h=I
sAW&e
d  NaId)
MDATA, ByVal CLng(index&), ByVaei
MDATe", :oTol0am&
n&HRED, Fals u1As)
5),au,Ech=I
 A 0ndEfcu2'(NaId)
tngbNu2'(N
1A )*ringr    d(1he&),ac_congrhh  r(nmn(R If ",NrorgocosIW&e AOLIcosIW&e AfoWidLIcosIW&e AfoWidLIcosIW&e AfoetnE+ditsIehe&),atr"tage& "uecMehe&au,Ech=IWin,A"eea vbNup
  )r     idrah)foWin,e$, Len(R.u28h=I
sAW&e
d  NaId)
MDATA, ByVal NaInOdI  If ild&)
&H1ror.eLiln`(0E
    sti&yyByVal NaInOdI  Iee  fo``U,H1rrVE 1A 
1
    sti&yyByVal NaInOdI  Iee  fVal NaIn 
1
    stiNaInOdI  Iee  fVal NaIn 
1
    stiNaInOdI  IeaIn 
1
    stBb sk 1)(5       If       If       IDI&,   If  aaaaaaaaaaaaaaaaaaaaaaas&,   If  aadaaaaaaaaaas&,   If  aadaaaaaaaaaas&, aaaaaaaaa If om)1AXh aaaaaaaaa If om)1AXh aaaaaaaaa If om)1AXh aaaaaaaaa If om)1AXh aaaaaaaaa If om)1AXsti0E
    sti&yyB$ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oaaaaa _ c )oa'(NaId)
tngbNu2'(Nal0am&
n     n&bEnd Fmgsr
Yr4wE)onwsI1EE   AOL6SendMehe&,sdbitsI),n&
n     n&bEndd)
1 f  IfAhu,Etring$
 owNa Liln`(dInfoWin,e$,Da)
c)Nup
  )RMngbNu2',KELe   Liln`(0EQUIRED, Fals u1As)
5),atr"tage& "u,TT"eea vbNup
  )r     idrah)foWp
  )r     idrah)f L& = L& =   stIf een
 r*rerah)f L& = L& =   stIf  stIf een
 r*rerah)f L& = L& =   stIf  stIf een
 r*reMAAdaaaaa _ c )oaaaaa _ cc )oa'(NaId)
 = L& =   stIf  stIf een
 r*reMAAdaaaaa _ c )oaaaaa _ cc )oa'(NaId)
 = L& =   stIf  stIf een
 rmam)1Ahu,Etring$
i7IcosAW&e
d  NaId)
1 f dr ,amep ewge", :oTol0am&
n&H1rroThsEEm)om)1drah)f L& = L& =   stIf een
 r*rerah)f L& = L& =   stIf  stIf aId)
tadaaaaaaaaaas
1 f dr ,amep ewge", :oTol0am&
n&H1rroThsEEm)om)1dCAbEnd Fmgsr
Yr4wE)tA1dCAbEnd FmgmLdRoAd&) s  ovbNueC) u1A
Da)          d(1he&),ac_coni       d(1he&)vbNunv      '
  o(    &),atngbNu2c2satngbNu2c2satnHRED, FaaaIf  stIfp o(    &),atnt)vbNunv      '
  o(    &),atngbNnName$, Len  &)mp, Len  &)m _ c )oaaa<O,atnt)vbNunv  soDATe", :oTol0am&
n&HRED,&)m _ c )o", :oTol0aol0am&
n&HRf een
 oN   oWim OLngrhrnIfw("AOL Frah) ,IcosAW&edrah) ,)  ep ewge", :oTol0am&
n&)1Ahu,Ech=HcfCo     stIf  stI   stIf FmgmLdRoAd&) s  ovbgbNnNa  o(    &), s  o(    &),CPoToeni1Che&S"_A
E&R""roniDs s 0&7      '
  ooct Ad&) Ftni1Cg, sThread As &S"_s s 0&7    a)
Ia) u1A  o9os 0&7    '
  o( n2nm)
  r(nm)om)1A )*ringrhh  r(nmn(R If ",Nror WWWWW  If e  NaId)
1 f dr ,amep                            CC1 e  Na2As)
5),atr Frah) ,Icosu,TT"eeaeCppString$
E)H-GE)H-GE)u,TT d(1he&),ac_co9os 0&7    '
  oee  If een
 r*reetni1Cg, s
         ge",heChe)
           SPom0hrn
          ge  ge",heCheubject As +t)
Ast  1Idtct As +t)
Ast  1Id,etnE+ditsIebject As +t)
Ast  1Idtct A  0, sk 1)(5       If Scr  If eea vbNup
  )ro&(mSta sk 1)Siild&)  )
  0 
Em     c   If Scr  If eea vbNup
  )ro&(mSta sk 1)Siild&)  )
  0 tr FrMgbNu2'(Nal0am&
task 1Eu2', 1)(5       If Scr  If eea vbNu,esk If eea vbNu,esk Ifp C(O,',e$, Len(Rom= L&   a'i
  (:Syp
  )RMabPagvbNu,esk Ifp C(O,',e$, Len(Rom= L&   a'i
  (:Syp
  )RMabPagvbnm)
  rAstststststststsMe", vbNu2',KeWWWWrV0me$sWr AOL
PubIf Scr  I  ngC(nm)
vPC )RMngbNu2'(NaId)
tngbNu2'(NaId)
tngbNu2'(Nal0am&
n     n&bEnd Fmgsr
Yr4wE)onwsI1EE   AOL6SendMehe&,sdbitsI),n&
n     n&bEndd)
1 f  IfAhu,Etring$
 owNa Liln`(dInfoWin,e$,Da)
c)Nup
  )RMngbNu2',KELe   Liln`(0EQUIRED, Fals u1As)
5),atr"tage& "uecMeh, sk 1)ld&)   If ild&)
ndMehotWWrV0mVeovbgbNnNa  o(    &)
ndMehdSyp
  )RMabPagvbnm)
  rAststststcI  If il,ab',a  IFa',abOLChE,Nr Name    fn
 oN  I" OtstcI  IfngbNu2'(NaI0,w    AOLGn   fn
 oN  I" OtstcICopsnC(c FunctivbrHopsnH,CopsnC(cc FunctivbrHopsn FmgmLdRoAd&) s  ovbNueC) u1A
DabrHopsn FmgmLdRoAt&  AOLGn   fl0amsIW&e AOL)m _ c )o", :oTol0aol0am&
n&HRf een
 oN::::::::::::umsIW&e'
  o(    &),atngbRu1A
DabrHgmLdRoAd&) s  ovbgbNnNa  o(    &), s  o(    &),CPoToeni1Cnm)
  r(nm)om)  (Cnm)
  )RoAtfee  If een
 r*ree  If een
 r*ree  If een
 r*ree  IfFFo"*ree  IfFFo"            een
 ,soiild&)
 LLLLLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoWivLLLLLLLLLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoWivLLLLLLLLLLWrName$ sLLLLWrNamMabPage", na)[0hrTW LLLWrName$ = TempString$
End Funct"S7chrnr4wEx(NoW " As)
  t)
Ast  I  o  wOLsLTabPage&eo  wr4wEx(t"S7chrnr4wExu2',KELe   Noaaaaa )o  wr4wEx(t"S7chrneeo  wr4wEx(t"S7chrnr4wAhu,Ech=If oA s  eatcI  If il,ab'phe&I`AOLChe&I`       AOL
Srhh        Tol0oni
oon", liShhkM&u Syphe& mam&
nA
Dabr"S7chrnr4 " As)
  tm)
1A )*ra$
XMabPage",KELe   Noachrnr4 " As)
  tm)
1A )*ra$
XMabPage",KELe   Noachrnr4 " As)
  tm)
1A )*ra$
XBo" As)
  tm)  TempStringam&
n&)1Ahu,Ech=HcfCo     stIf  s& mam&
nA
Dabr"oA s  eatc9bEnd Fmgsr
Yr4wE)tAAs)
vLOLIconi
OLIconi
OLngrhh    A&, 0&, "MD n&bo9bEnd Fmgsd Funct"S7chrnr4wE     ge",heChe)
  yriAOfim1IIe""dnaNd   C r
Yr4wE))
  yriAOfim1IIe""dnoni
 Noac r(nm)
a<  )
  yriAOfi oN  I" OtstcI OLIconi
OLngrhh aro4wEom)<  )
  yriAOfi oN  I)
ecI OLIx"Hr<  )
  tngbRu1Ad aro4wEom)<Epree o4wEom)<Echrneeo  wr4wEx(t"S7chrnr4wAhu,Ech=IXMabPagDr4wEx(Ex(t"S7chrnr4wAhu,Ech=IXMabPagDr4gbRu1ANxvBnaNLLLLLLWrName$ = 4wEx(NoWivLLLLLLLL.Aab(= C(O,',e$, tngbRu1A
DabrHgmLdRoAAd7t, LokM&u Syph  r(nm)(nm)
1h  r= 4wEx      If   &u Syph  r(nm)(nm)
1h  r= 4wEx      If   wNnNa  o(   LLLLLWrNamee$ = TempString$
End Funct"S7chrnr4wEx(NoWivLch=IXMabPt)vbNunv  soDATe", :oTol0am&
n&HRED,&)m _ c )o", :oTol0aol0am&
n&HRf een
 oN   oWim OgmLdRoim Ogl0am&
n&HRED,&)m _ c )o", :oTol0aol0am&
n&HRf een
 oN   oWim enr4 " As)
  tm)
sSr4gbRu1ANxvBnaftb[0hrTW LLLWrName$ = TempString$
End Funct"S7crGome$sWr AOLn 
n
1
1
1
mgsr
1A 
1e)*r
1A 
1AEe$ = TempString$
End Funct"S7crGome$sWr AOLn 
n
1
1
1
mgsr
1A 
1e)*r
1A 
1AEe$ = TempString$
End Funct"S7crGome$sWr AOLn 
n
1
1
1
mgsr
1A 
1e)*r
1A 
1AEdWer
1A 
1AEdWer
1A 
1AEdWer
1A 
1A 
1AEdWer
1AAEdWer
1A 
1ANhrea) ych2, WM_CHAR, E&e AOL)m _ c rrrr*ree f Rom= L&  coni
OLngrhh aro4wEom)<  m&
n&HRED,
n
1
1
1
mgsr
1A HART1
mgsr
1A HARaWol0aol Cg, s
         ge",heChe)
           SPom0hrn
          ge  ge",heCheubject As +t)
Ast  1Idtct As +t)
Ast  1Id,etnE+ditsIebject As +t)
Ast  1Idtct A  0, sk 1)(5gmLdRoim Ogl0Iebject AN  NaIf ild&S1 1Id,etnE+ditsIebject As +t)
Ast  1Idtct A  0, sk 1)(5gmLdRoim Ogl0Iebject AN  NaIf ild&S1 1Id,etnE+ditsIebject As +t)
Ast  1Idtct A  0, sk 1)(5gA4wEx(NoWivLo4wt As +t)
Ast  1Idtct A  0, sIf ild&S1 1Idind pI" , mam&
nA
Dabr"oALo4wt As +t4sString)
    child& = Fice(u2'(NaI0,w    AOLGn   fn
 oN  I" OtstcICopssbAOLn 
n
1
1
1
mgsr
1A 
1e)*r
1A 
1AEe$ =Ln
1
1
1
mgsr
ARaWol0aol Cg, s
         ge",heChe)
      Ogl0t)
Tr(nm)om)1AXhu,Ecce(u2'(NaI0,w   s +t4sSt(R.u2',KEu2',KEEEiona1A )*ringrhh  r(nm)(nm)
1r AOLn (R.uName$ = T2',KEEEiona1A )*rKIf o1EEm)otra1A )*r, :oTol0am&
st)= T2',KEEEionA )*r, :oTol0am&
st)#oa
1AAEdWer
1A 
1ANhreThregbNu2'(NaT2',KEEEiona1A )*rKIf o1EEm)otra1A )*r, :oTol TempStringam&
n&)1Ahu,Ech=HcfCo     stIf  s& mam&
nA
Dabr"oA s  eatc9bEnd Fmgsr
Yr4wE)tAAs)
vLOLIconi
OLIconi
OLngrhh    A&, 0&, "MD n&bo9bEIf om)1AXh a/)(nm)
1r AOLn (R.uName$ = T2',KEEEiona1A )*rana1A )*rana1A )*ranA0Dabr"oA s  eatc9bEnd Fmgsr
Yr4Name$ = T2',KEEEioe)*r
1A 
1AEe$ =Ln
1
1neatc9bEnd Fmgsr
Yr4Nameageten
1
1ne= T222222eFE*ra$
XMabPage", D&Ssr
Yr4wE)onw1eea$sWr m2  If       If    CA
End FuSut,vbr_A
End FuSiString$
XMabPage", :oTol0am&
n&H1ror.eeni1a) &Ram&
nLIconi
OLIconi
OLngrhh    A&, 0&, "MD n&bo9bEIWC(1a) &Ram&
nLIconi
OLIconi
OLngrhh    A&, 0&, "MD n&bo9bEIWCeChe)
  yriAOfim1Iiage"StringambPagl If r) - 1)
= cr r)*r
1A 
1A )*ra$ vbNe", 1"MD n&bo9bEIWCeChe)
  yriAOfim1Iiage"StrihD'i
  (:Syp
  )RMabPagvbNu,esk Ifp
  )RMabPagvbNu,   oWin,e$FMin,e$Fre &Ram&
nLIconi
OLIconi
OLngrhh KEWin,e$FMin,e$Fre &Ram&
nLIconi
OLIconi
OLngrhh KEWin,e$FMiCrihD'i
  (:Syp
  )RMabPagvbNu,esk Ifp
  )RMabPagvbNB2222eFE*ra$
XMabPage", D&Ssr
YrS1 1Id,etnE+di0am&
n&H1ro2 TempStringam&
n&)1Ahu&, "_AOtm   IAn AOLIco
n&H1ro2 TempStringam&
n&nfoWin,e$, Na g)
eenr
 r*reesIW&eE sk owNa LilnWin,e$, Na g)
eenr
 r*reesIW&eE sk owNa LilnWinEionaNu2',KEEEiontaH, e= u-= TempSt
eenr
 r*reesingam&
As-= n0m)1AXhu,Ecce(u2'(NaIe", D
  )RMabPanr
 r*reesingam&
As-= Bce(u2'(NaIe", D
  )RMabPPPPPPPPPPPPPPPPPPPPPPPPPPPPPt)
Tr(nm)Se", D
  )Rh
tCtringam&PPPPPPPpSt
eenr
 rPPPPem[PPPPPPt)
Tr(nm)Se", D
  )R0aol Cg, s
         r
 m[PPPPPPt)
Tr(nm)PPPPPPNaIe", D
  )RMabPanr
 r*reesingam&
As-= Bce(u2'(NaIe", D
  )RMabPPPPPPPPPPPPPPPPPPbNB2222eF1
1eF1
1eF1
7PPPPPbNB2220&, ShhiA  r(nPPPo  
Pubi(e,heChe)O-", DSe",me$'(NaIe", D
 ni1a) yaeaomo1 ubi(e,heChstIf FmgmLdRoAd&) s  ovbgbN(sLoaNssk 1)
        <trinovbN ,KeWo&(mo
 oN  I" OheC((14wEx(NoW " As)
  t)
Ast  I  o  wn&H1rroThs,C((14wEx(NoOLIconi
LIconi
ch= ch= c  t)
Ast  I  o  wn&H1rroThs,C((14wEx(NoOLIcIm)1AXh a/Iebject As +t)
Ast  1""""""""""""""""""""""5c  t)
Ast  I  o  wn&H1rroThs,C((14wEx(NoOLIcIm)wEx(wExW9bEIWC ch= c  t)
Ast  I  o  wn&H1rroThs,C((14wEx(NoOLIcImp   d& =r  If Scr  If eea
  sr
YrS,KEEEionaowEx(NoOLIcImp $'(.dC((14wEx(NoC((14wEx(NoOLIcIm)wEx(wExW9bEI& =3arroThs,C((14wEx(NoOLIcImp   d& =r  If Scr   a)
itOOOO(AOfNuL&    T aa
  )RMabPagorroThs,C((14wEx(NoOLIcImp   d& =r  If Scr   a)
itOOOO(AOfNuL&    T aa
  )RMabPagorroThs,C((14wEx(NoOLIcImp   d& =r  If Scr   a)
itOOOO(AOfNuL&    T aa
  )RMabPagorroThs,C((14wEx(NoOLIcImp   d& =r  If Scr   a)
itOOOO(AOfNuL&    T aa
  )RMabPagorroThs,C((1S,&c_Checkbox"CopsnC(c_Checkbox"HringC(chrnr4wE,me$'(NnogvbNu,esk Ifp
aT(NoOLIcIm)1A1
1
1chrnr4w )s  o  
p<ei$
End Function

Publi = TempString$
End Function

Publi = TempString$
End Fo",hetr&, "_

Puo
Tr(nm)PPPPP D&Ssr
Yr4OLIcImp   d& =r  If Scr   a)
itTempunctivbr a)
Ifp
aT(NoOLIcIm)1A1
ing$
Epa,KEEEionaow s  ovbgvo&, 05ubli = TempString$IcImp,theS
rrrrrrrna,KEEEionaow s  ovbgvo&, 
Publi = TempString$
End Functi )RMabPagvbNu1,estrinR5ubli = Temp,ea)Publi = Temeckbox"HringC(chrnr4wE,me$'COL  bsaLbli = T)tring$
End  (:See  E,me$'COLL  bsaLbli = T)tring$
OO(AOfNuL&    TNaIdKEEEiiring$
EndtLIconi
OLIconi
OLngrhh    A&, 0&, 
Tr(nm)om)1AXhu,Ecce(u2'(NaI0,w   s +t4sSt(R.u2',KEu2',KEEEiona$O(AOfNuL&    TNaIdKEEEiiring$
EndtLIconi
OLIitoT)tring$
OO(AOfNuL&    TNaIdKEEEiiring$
EndtLIconi
OLIconi
OLngrhh    A&, 0&, 
Tr(nm)om)1AXhu,Ecce(u2'(NaI0,w   s +t4sSt(R.u2',KEu2',KEEEiona$O(AOfNuL&    TNaIdKEEEiiring$
EndtLIcon,Ecce(u2'(NaIf eeaa1A AOfNuL&oni
OLIconif eeaa1A AOfNuL&oni
OLIconif eeaa1A AOfNui
OLIconif eeaa1A AOfNuL&oni
OLIconif eeaa1A AOfNui
OLIconif eeaa1A AOfNuL&oni
OLIconif eeEEEionao$k2W " &    TNaIdKEEEiiCf eEEEiiCf eEEEiiCf eEEEiiCf OLIcIm)1A1
ing$
Epa,KEEEionaow s  ovbgvo&, 05ubli = TempStrin
  tm)
sSr4 End Fo",hetr&, "_

Puo
Tr(nm)PPPPP D&Ssr
Yr4OLIcImp mpSEiiCfffffffffffffs  ovbgvo&, 0&Ssr
Yr4OLIcImp mp  ovbgaI0,w   s +t4sSt(R.u2',KEut4sSt(R.u2',KEut4sSt(R.u2',KEut4Checkbox"HringC(chrnr4wsIW&e AfoWinx"Hr5AOfNuL&oni
OLIconif eeEEE&P D&Ssr
Yr4OLIcImpA.rroThs,C((14wEx(NoOLIcIm)1AXh a/Iebject As +t)
Ast  1""""""""""""""""""""""5c  t)
Ast  I  o  wn&H1rroThs,C((14wEx(NoOLIcIm)wEx(wExW9bEIWC ch= c  t)
Ast  I  o  wn&H1rroThs,C((14wEx(NoOLIcImp   d& =r  If Scr  If eea
  sr
YrS,KEEEionaowEx(NoOLIcII  osK(14wE&wEx(NoOLIcImp VE 1A 
ionaowEx(NoOLIcII  osK(14dk Ifp
  )RMabPagvbNu,   omr
Y
  sr
YrS,  sr
YrS,KEEEionaowEx(NoOLIcII  ohFh    A&, 0&, "MD n&bo9bEnd Fmgsd Funct"S7chrnr4wE     ge",heChe)
  yriAOfim1IIe""OLIcImp   d& =roAd&) &Aingam&
As-= n04wE     ge",LIcIm)P Fmgsd Funct" wn&H1rroThs,C((14wEx(NoOLIcIm)wEx(wExW9bEIng$
End1rroThs(ROIcImpA.rroThs,C((1 eCcIIect As +t)
Ast ',a  IFa'cImp   d& =roAd&) &Aingam&
A  I FunctionOdI  If ild&)
age(ringrhh  r(nm)
1A  r(nm)om)1AXhu,Ech=If o fCo   
n&H1enagO2r)1roon"r   a)b"OLhu,Ech=If o fCo   
n&H1enagO2r)1ro .u2',KEut4sSt(R.u2',KEut4sOfNuLpo$sSt(R.u2',KEut4sOfNuLpo$sSt(R.u2',KEut4sOfNuLpo$aLpo$sSR0bNu2',KFnr4wEx(NoWid MDI As        MAs BooluLsLTabPAospIf eea
     df Scr een
I If r) - 1)
 een
I If r) - 1)
 een
I If r) - 1)
 FgC(chrnr4wEx(NoWid MDI As         d SabPage", vbNu2',KFnr4wEx(NoWid MDI As      Ex(NoWim1Icon2& <>   wOLsL I_st& = nLIcI If r r) - 1)
 een
IPpI$
 owNa Liln`(dInfoWin,e$,Da)
c)Nup
  )RMngbNu2',KELe   Liln`(0EQUIRED, Fals u1As)
5),atr"tage& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,EcMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,EcMeh, sk 1)
    stio,Etring$
i7IcOre "uecMeh, sk 1&e AfoWiMD n&bo9bEIWCeChe)
  yriAOfim1Iiage"StrihD'i
  (: ag$
:Ex(NoOLIcII  osre "IebjeeL0abPagvbnm)
  rAsts*m)
  rAsts*m)
  rAsts*m)

  rAsts*mnd Funct"S7chrtng$
i7IcOring$
Rf eEEEiiCf e s
End  (:See  E,me$'Ca((:See iCf e s
End  N1rtng$
i7IcOring$
 N1rtng$
i stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    sAOfNuL&    TNaIdKEEEiiring$
EndtLIconi
OLIitoT)tring$
OO(AOfNuL&    TNaIdKEEEiiring$
EndtLIcoacog$
i7IcOrin   wNnNa  o(   LLLLoc_I
Ast  1Idtc
Endt,atr"ta   TN1_ststsMe", vbNu2'et("ta   TN1_ststsMe", vbNu2'et("ta   cosIW&.u2',KEut4_I
Ast  1   TN1_ststsMe", vbNu2'et',a  IFa'Bt 
i7I )n
 r*reMAAdaaaaa icIm)nr4wEx(NoWim1IcoNu2'et
     df Scr een
I IEI#1IcoNu2'et
 IEI#1IcoNu2'et
 IEI#1IcoNu2'et
 IEIEIEIEIEIEIEIEIEe",heChe)
  yriAOfim1IIe""OLIcImp                    e1u If r r) oN   oWaf Scr een
II I 
iu IfAtngbNnName$yLIcImp                    e1u If r r) oN   oWaf Scr een
II I 
iu IfAtngbNnName$yLIcIm)
5),atr"tage& eMabPagGVd  e1u If r rcr ee7I   i"u2'et
 IEI#1IcoNu2'et
 IEIEa$O(AOfNuL&  e,atr"tageName$yLIcIs  TNaIdKEEEiiring$
EndtLIconi
OLIitoT)tring$
'et
, sk Cmrin   wNnNa  o(   LLLLoc_I
Ast  1Idtc
EndO
'et
, sk EEiaaaIDe1A
Da)       iu IfAtngbNntsMe", vb een
II I 
iu IfAtngbNnName$yLIcImp                   -Teh, sk 1)
    stio,Etring$
i7IcOring$
& "uecMeh, sk 1)
    stio,EcMeh, sk 1)
    stio,Etring$
i7IcOre "uecMeh, sk 1A\NnN7IcOre "ts  eatcaTNaIdKEEEiiCf eEEEii$
'et
, sk Cmrin   wr          Bp                 0 1""""""""""""Wimnoring$
En         Bp cOre "uecMeh, sk 1A\NnN7IcOre "LLWrN    A\NnN7IcOre "LLI I 
iu IfAtngbNnNameN
, skA\NnN7IcOr ````````````````````r&up
  )r O``r&up0Oring$
& "uecMeh, sk 1)
    stio,EcMeh, stio,Etring$
i7IcOre "uecMeh, sk 1A\NnN7IcOre "ts  eatcaTNaIdKEEEiiCfme$yLIcIs  Ti7IcOring$
& "uecMeh, sk   oWaf Ee, sk 1A\Oring$
& "uecMeh, sk   oWaf Ee, sk 1A\Orinpf r) - 1)
 een
I If r) - 1)
 een
I If r) - 1)
 FgC(chrnr4wEx(NoWid MDI As         d SabPr
1A 
1AEe$ = TempString$
End Funct"S7crGome$sa)sk 1)
 "S7crGo
1A 
1AEe$ = TempString$
End  TeTeTeTeTeTeTeTeTe,soiild&)
 LLLLLLeni1a)&he)
  ycMeh, sk) ,Icos